<?php

/**
* getLookupMainTableSettings - tests whether the lookup link exists between the tables
*
*  returns array with ProjectSettings class for main table if the link exists in project settings.
*  returns NULL otherwise
*/
function getLookupMainTableSettings($lookupTable, $mainTableShortName, $mainField, $desiredPage = "")
{
	global $lookupTableLinks;
	if(!isset($lookupTableLinks[$lookupTable]))
		return null;
	if(!isset($lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField]))
		return null;
	$arr = &$lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField];
	$effectivePage = $desiredPage;
	if(!isset($arr[$effectivePage]))
	{
		$effectivePage = PAGE_EDIT;
		if(!isset($arr[$effectivePage]))
		{
			if($desiredPage == "" && 0 < count($arr))
			{
				$effectivePage = $arr[0];
			}
			else
				return null;
		}
	}
	return new ProjectSettings($arr[$effectivePage]["table"], $effectivePage);
}

/** 
* $lookupTableLinks array stores all lookup links between tables in the project
*/
function InitLookupLinks()
{
	global $lookupTableLinks;

	$lookupTableLinks = array();

		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["agence.DirectionID"] )) {
			$lookupTableLinks["direction"]["agence.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["agence.DirectionID"]["edit"] = array("table" => "agence", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["profil"] ) ) {
			$lookupTableLinks["profil"] = array();
		}
		if( !isset( $lookupTableLinks["profil"]["utilisateur.ProfilID"] )) {
			$lookupTableLinks["profil"]["utilisateur.ProfilID"] = array();
		}
		$lookupTableLinks["profil"]["utilisateur.ProfilID"]["edit"] = array("table" => "utilisateur", "field" => "ProfilID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["utilisateur.AgenceID"] )) {
			$lookupTableLinks["agence"]["utilisateur.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["utilisateur.AgenceID"]["edit"] = array("table" => "utilisateur", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["utilisateur.DirectionID"] )) {
			$lookupTableLinks["direction"]["utilisateur.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["utilisateur.DirectionID"]["edit"] = array("table" => "utilisateur", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["utilisateur.SecteurID"] )) {
			$lookupTableLinks["secteur"]["utilisateur.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["utilisateur.SecteurID"]["edit"] = array("table" => "utilisateur", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["plombier.AgenceID"] )) {
			$lookupTableLinks["agence"]["plombier.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["plombier.AgenceID"]["edit"] = array("table" => "plombier", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["plombier.SecteurID"] )) {
			$lookupTableLinks["secteur"]["plombier.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["plombier.SecteurID"]["edit"] = array("table" => "plombier", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["compteur.AgenceID"] )) {
			$lookupTableLinks["agence"]["compteur.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["compteur.AgenceID"]["edit"] = array("table" => "compteur", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["compteur.MarqueID"] )) {
			$lookupTableLinks["marque"]["compteur.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["compteur.MarqueID"]["edit"] = array("table" => "compteur", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["compteur.DiametreID"] )) {
			$lookupTableLinks["diametre"]["compteur.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["compteur.DiametreID"]["edit"] = array("table" => "compteur", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteur.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["compteur.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["compteur.PlombierDeposeID"]["edit"] = array("table" => "compteur", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["compteur.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["compteur.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["compteur.MotifDeposeID"]["edit"] = array("table" => "compteur", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteur.PlombierAffecterID"] )) {
			$lookupTableLinks["plombier"]["compteur.PlombierAffecterID"] = array();
		}
		$lookupTableLinks["plombier"]["compteur.PlombierAffecterID"]["edit"] = array("table" => "compteur", "field" => "PlombierAffecterID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteur.PlombierPoseID"] )) {
			$lookupTableLinks["plombier"]["compteur.PlombierPoseID"] = array();
		}
		$lookupTableLinks["plombier"]["compteur.PlombierPoseID"]["edit"] = array("table" => "compteur", "field" => "PlombierPoseID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["compteur_neuf.AgenceID"] )) {
			$lookupTableLinks["agence"]["compteur_neuf.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["compteur_neuf.AgenceID"]["edit"] = array("table" => "compteur_neuf", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["compteur_neuf.MarqueID"] )) {
			$lookupTableLinks["marque"]["compteur_neuf.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["compteur_neuf.MarqueID"]["edit"] = array("table" => "compteur_neuf", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["compteur_neuf.DiametreID"] )) {
			$lookupTableLinks["diametre"]["compteur_neuf.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["compteur_neuf.DiametreID"]["edit"] = array("table" => "compteur_neuf", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["compteur_neuf.DirectionID"] )) {
			$lookupTableLinks["direction"]["compteur_neuf.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["compteur_neuf.DirectionID"]["edit"] = array("table" => "compteur_neuf", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["compteurs_pour_labo.AgenceID"] )) {
			$lookupTableLinks["agence"]["compteurs_pour_labo.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["compteurs_pour_labo.AgenceID"]["edit"] = array("table" => "compteurs_pour_labo", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["compteurs_pour_labo.MarqueID"] )) {
			$lookupTableLinks["marque"]["compteurs_pour_labo.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["compteurs_pour_labo.MarqueID"]["edit"] = array("table" => "compteurs_pour_labo", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["compteurs_pour_labo.DiametreID"] )) {
			$lookupTableLinks["diametre"]["compteurs_pour_labo.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["compteurs_pour_labo.DiametreID"]["edit"] = array("table" => "compteurs_pour_labo", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["compteurs_pour_labo.DirectionID"] )) {
			$lookupTableLinks["direction"]["compteurs_pour_labo.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["compteurs_pour_labo.DirectionID"]["edit"] = array("table" => "compteurs_pour_labo", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteurs_pour_labo.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["compteurs_pour_labo.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["compteurs_pour_labo.PlombierDeposeID"]["edit"] = array("table" => "compteurs_pour_labo", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["compteurs_pour_labo.MotifRebusID"] )) {
			$lookupTableLinks["motif_depose"]["compteurs_pour_labo.MotifRebusID"] = array();
		}
		$lookupTableLinks["motif_depose"]["compteurs_pour_labo.MotifRebusID"]["edit"] = array("table" => "compteurs_pour_labo", "field" => "MotifRebusID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["compteurs_pour_labo.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["compteurs_pour_labo.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["compteurs_pour_labo.MotifDeposeID"]["edit"] = array("table" => "compteurs_pour_labo", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["compteurs_pour_labo.SecteurID"] )) {
			$lookupTableLinks["secteur"]["compteurs_pour_labo.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["compteurs_pour_labo.SecteurID"]["edit"] = array("table" => "compteurs_pour_labo", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["compteurs_pour_labo.RespModif"] )) {
			$lookupTableLinks["user_combo"]["compteurs_pour_labo.RespModif"] = array();
		}
		$lookupTableLinks["user_combo"]["compteurs_pour_labo.RespModif"]["edit"] = array("table" => "compteurs_pour_labo", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["compteurs_stock.AgenceID"] )) {
			$lookupTableLinks["agence"]["compteurs_stock.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["compteurs_stock.AgenceID"]["edit"] = array("table" => "compteurs_stock", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["compteurs_stock.MarqueID"] )) {
			$lookupTableLinks["marque"]["compteurs_stock.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["compteurs_stock.MarqueID"]["edit"] = array("table" => "compteurs_stock", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["compteurs_stock.DiametreID"] )) {
			$lookupTableLinks["diametre"]["compteurs_stock.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["compteurs_stock.DiametreID"]["edit"] = array("table" => "compteurs_stock", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["compteurs_stock.DirectionID"] )) {
			$lookupTableLinks["direction"]["compteurs_stock.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["compteurs_stock.DirectionID"]["edit"] = array("table" => "compteurs_stock", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteurs_stock.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["compteurs_stock.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["compteurs_stock.PlombierDeposeID"]["edit"] = array("table" => "compteurs_stock", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["compteurs_stock.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["compteurs_stock.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["compteurs_stock.MotifDeposeID"]["edit"] = array("table" => "compteurs_stock", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteurs_a_affecter.PlombierAffecterID"] )) {
			$lookupTableLinks["plombier"]["compteurs_a_affecter.PlombierAffecterID"] = array();
		}
		$lookupTableLinks["plombier"]["compteurs_a_affecter.PlombierAffecterID"]["edit"] = array("table" => "compteurs_a_affecter", "field" => "PlombierAffecterID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["compteurs_a_affecter.DiametreID"] )) {
			$lookupTableLinks["diametre"]["compteurs_a_affecter.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["compteurs_a_affecter.DiametreID"]["edit"] = array("table" => "compteurs_a_affecter", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["compteurs_a_affecter.AgenceID"] )) {
			$lookupTableLinks["agence"]["compteurs_a_affecter.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["compteurs_a_affecter.AgenceID"]["edit"] = array("table" => "compteurs_a_affecter", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["compteurs_a_affecter.DirectionID"] )) {
			$lookupTableLinks["direction"]["compteurs_a_affecter.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["compteurs_a_affecter.DirectionID"]["edit"] = array("table" => "compteurs_a_affecter", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["compteurs_a_affecter.MarqueID"] )) {
			$lookupTableLinks["marque"]["compteurs_a_affecter.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["compteurs_a_affecter.MarqueID"]["edit"] = array("table" => "compteurs_a_affecter", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["compteurs_a_affecter.SecteurID"] )) {
			$lookupTableLinks["secteur"]["compteurs_a_affecter.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["compteurs_a_affecter.SecteurID"]["edit"] = array("table" => "compteurs_a_affecter", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["compteurs_a_affecter"] ) ) {
			$lookupTableLinks["compteurs_a_affecter"] = array();
		}
		if( !isset( $lookupTableLinks["compteurs_a_affecter"]["compteurs_affectes.iDcompteur"] )) {
			$lookupTableLinks["compteurs_a_affecter"]["compteurs_affectes.iDcompteur"] = array();
		}
		$lookupTableLinks["compteurs_a_affecter"]["compteurs_affectes.iDcompteur"]["edit"] = array("table" => "compteurs_affectes", "field" => "iDcompteur", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["compteurs_affectes.DirectionID"] )) {
			$lookupTableLinks["direction"]["compteurs_affectes.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["compteurs_affectes.DirectionID"]["edit"] = array("table" => "compteurs_affectes", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["compteurs_affectes.AgenceID"] )) {
			$lookupTableLinks["agence"]["compteurs_affectes.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["compteurs_affectes.AgenceID"]["edit"] = array("table" => "compteurs_affectes", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["compteurs_affectes.DiametreID"] )) {
			$lookupTableLinks["diametre"]["compteurs_affectes.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["compteurs_affectes.DiametreID"]["edit"] = array("table" => "compteurs_affectes", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["compteurs_affectes.MarqueID"] )) {
			$lookupTableLinks["marque"]["compteurs_affectes.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["compteurs_affectes.MarqueID"]["edit"] = array("table" => "compteurs_affectes", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteurs_affectes.PlombierAffecterID"] )) {
			$lookupTableLinks["plombier"]["compteurs_affectes.PlombierAffecterID"] = array();
		}
		$lookupTableLinks["plombier"]["compteurs_affectes.PlombierAffecterID"]["edit"] = array("table" => "compteurs_affectes", "field" => "PlombierAffecterID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["compteurs_affectes.SecteurID"] )) {
			$lookupTableLinks["secteur"]["compteurs_affectes.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["compteurs_affectes.SecteurID"]["edit"] = array("table" => "compteurs_affectes", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["compteurs_a_affecter"] ) ) {
			$lookupTableLinks["compteurs_a_affecter"] = array();
		}
		if( !isset( $lookupTableLinks["compteurs_a_affecter"]["compteurs_a_poser.iDcompteur"] )) {
			$lookupTableLinks["compteurs_a_affecter"]["compteurs_a_poser.iDcompteur"] = array();
		}
		$lookupTableLinks["compteurs_a_affecter"]["compteurs_a_poser.iDcompteur"]["edit"] = array("table" => "compteurs_a_poser", "field" => "iDcompteur", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["compteurs_a_poser.DirectionID"] )) {
			$lookupTableLinks["direction"]["compteurs_a_poser.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["compteurs_a_poser.DirectionID"]["edit"] = array("table" => "compteurs_a_poser", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["compteurs_a_poser.AgenceID"] )) {
			$lookupTableLinks["agence"]["compteurs_a_poser.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["compteurs_a_poser.AgenceID"]["edit"] = array("table" => "compteurs_a_poser", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["compteurs_a_poser.DiametreID"] )) {
			$lookupTableLinks["diametre"]["compteurs_a_poser.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["compteurs_a_poser.DiametreID"]["edit"] = array("table" => "compteurs_a_poser", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["compteurs_a_poser.MarqueID"] )) {
			$lookupTableLinks["marque"]["compteurs_a_poser.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["compteurs_a_poser.MarqueID"]["edit"] = array("table" => "compteurs_a_poser", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteurs_a_poser.PlombierAffecterID"] )) {
			$lookupTableLinks["plombier"]["compteurs_a_poser.PlombierAffecterID"] = array();
		}
		$lookupTableLinks["plombier"]["compteurs_a_poser.PlombierAffecterID"]["edit"] = array("table" => "compteurs_a_poser", "field" => "PlombierAffecterID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteurs_a_poser.PlombierPoseID"] )) {
			$lookupTableLinks["plombier"]["compteurs_a_poser.PlombierPoseID"] = array();
		}
		$lookupTableLinks["plombier"]["compteurs_a_poser.PlombierPoseID"]["edit"] = array("table" => "compteurs_a_poser", "field" => "PlombierPoseID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_pose"] ) ) {
			$lookupTableLinks["motif_pose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_pose"]["compteurs_a_poser.MotifPoseID"] )) {
			$lookupTableLinks["motif_pose"]["compteurs_a_poser.MotifPoseID"] = array();
		}
		$lookupTableLinks["motif_pose"]["compteurs_a_poser.MotifPoseID"]["edit"] = array("table" => "compteurs_a_poser", "field" => "MotifPoseID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["compteur_neuf_lot.MarqueID"] )) {
			$lookupTableLinks["marque"]["compteur_neuf_lot.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["compteur_neuf_lot.MarqueID"]["edit"] = array("table" => "compteur_neuf_lot", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["compteur_neuf_lot.DiametreID"] )) {
			$lookupTableLinks["diametre"]["compteur_neuf_lot.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["compteur_neuf_lot.DiametreID"]["edit"] = array("table" => "compteur_neuf_lot", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["compteur_dote_en_stock.AgenceID"] )) {
			$lookupTableLinks["agence"]["compteur_dote_en_stock.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["compteur_dote_en_stock.AgenceID"]["edit"] = array("table" => "compteur_dote_en_stock", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["compteur_dote_en_stock.MarqueID"] )) {
			$lookupTableLinks["marque"]["compteur_dote_en_stock.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["compteur_dote_en_stock.MarqueID"]["edit"] = array("table" => "compteur_dote_en_stock", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteur_dote_en_stock.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["compteur_dote_en_stock.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["compteur_dote_en_stock.PlombierDeposeID"]["edit"] = array("table" => "compteur_dote_en_stock", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["compteur_dote_en_stock.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["compteur_dote_en_stock.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["compteur_dote_en_stock.MotifDeposeID"]["edit"] = array("table" => "compteur_dote_en_stock", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["compteur_dote_en_stock.DiametreID"] )) {
			$lookupTableLinks["diametre"]["compteur_dote_en_stock.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["compteur_dote_en_stock.DiametreID"]["edit"] = array("table" => "compteur_dote_en_stock", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["compteur_dote_en_stock.DirectionID"] )) {
			$lookupTableLinks["direction"]["compteur_dote_en_stock.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["compteur_dote_en_stock.DirectionID"]["edit"] = array("table" => "compteur_dote_en_stock", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteur_dote_en_stock.PlombierAffecterID"] )) {
			$lookupTableLinks["plombier"]["compteur_dote_en_stock.PlombierAffecterID"] = array();
		}
		$lookupTableLinks["plombier"]["compteur_dote_en_stock.PlombierAffecterID"]["edit"] = array("table" => "compteur_dote_en_stock", "field" => "PlombierAffecterID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["compteur_dote_en_stock.SecteurID"] )) {
			$lookupTableLinks["secteur"]["compteur_dote_en_stock.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["compteur_dote_en_stock.SecteurID"]["edit"] = array("table" => "compteur_dote_en_stock", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["compteur_dote_en_stock.RespDotation"] )) {
			$lookupTableLinks["user_combo"]["compteur_dote_en_stock.RespDotation"] = array();
		}
		$lookupTableLinks["user_combo"]["compteur_dote_en_stock.RespDotation"]["edit"] = array("table" => "compteur_dote_en_stock", "field" => "RespDotation", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["compteur_supprimes.AgenceID"] )) {
			$lookupTableLinks["agence"]["compteur_supprimes.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["compteur_supprimes.AgenceID"]["edit"] = array("table" => "compteur_supprimes", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["compteur_supprimes.MarqueID"] )) {
			$lookupTableLinks["marque"]["compteur_supprimes.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["compteur_supprimes.MarqueID"]["edit"] = array("table" => "compteur_supprimes", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteur_supprimes.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["compteur_supprimes.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["compteur_supprimes.PlombierDeposeID"]["edit"] = array("table" => "compteur_supprimes", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["compteur_supprimes.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["compteur_supprimes.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["compteur_supprimes.MotifDeposeID"]["edit"] = array("table" => "compteur_supprimes", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["compteur_supprimes.DiametreID"] )) {
			$lookupTableLinks["diametre"]["compteur_supprimes.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["compteur_supprimes.DiametreID"]["edit"] = array("table" => "compteur_supprimes", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["compteur_supprimes.DirectionID"] )) {
			$lookupTableLinks["direction"]["compteur_supprimes.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["compteur_supprimes.DirectionID"]["edit"] = array("table" => "compteur_supprimes", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["utilisateur"] ) ) {
			$lookupTableLinks["utilisateur"] = array();
		}
		if( !isset( $lookupTableLinks["utilisateur"]["compteur_supprimes.RespSupression"] )) {
			$lookupTableLinks["utilisateur"]["compteur_supprimes.RespSupression"] = array();
		}
		$lookupTableLinks["utilisateur"]["compteur_supprimes.RespSupression"]["edit"] = array("table" => "compteur_supprimes", "field" => "RespSupression", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteur_supprimes.PlombierAffecterID"] )) {
			$lookupTableLinks["plombier"]["compteur_supprimes.PlombierAffecterID"] = array();
		}
		$lookupTableLinks["plombier"]["compteur_supprimes.PlombierAffecterID"]["edit"] = array("table" => "compteur_supprimes", "field" => "PlombierAffecterID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["compteur_supprimes.SecteurID"] )) {
			$lookupTableLinks["secteur"]["compteur_supprimes.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["compteur_supprimes.SecteurID"]["edit"] = array("table" => "compteur_supprimes", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["compteur_par_diametre.AgenceID"] )) {
			$lookupTableLinks["agence"]["compteur_par_diametre.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["compteur_par_diametre.AgenceID"]["edit"] = array("table" => "compteur_par_diametre", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["nb_ctr_par_agence.AgenceID"] )) {
			$lookupTableLinks["agence"]["nb_ctr_par_agence.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["nb_ctr_par_agence.AgenceID"]["edit"] = array("table" => "nb_ctr_par_agence", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["nb_ctr_par_agence.Diametre"] )) {
			$lookupTableLinks["diametre"]["nb_ctr_par_agence.Diametre"] = array();
		}
		$lookupTableLinks["diametre"]["nb_ctr_par_agence.Diametre"]["edit"] = array("table" => "nb_ctr_par_agence", "field" => "Diametre", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["r_ctr_diam.AgenceID"] )) {
			$lookupTableLinks["agence"]["r_ctr_diam.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["r_ctr_diam.AgenceID"]["search"] = array("table" => "R_ctr_diam", "field" => "AgenceID", "page" => "search");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["r_ctr_diam.MarqueID"] )) {
			$lookupTableLinks["marque"]["r_ctr_diam.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["r_ctr_diam.MarqueID"]["search"] = array("table" => "R_ctr_diam", "field" => "MarqueID", "page" => "search");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["r_ctr_diam.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["r_ctr_diam.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["r_ctr_diam.PlombierDeposeID"]["search"] = array("table" => "R_ctr_diam", "field" => "PlombierDeposeID", "page" => "search");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["r_ctr_diam.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["r_ctr_diam.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["r_ctr_diam.MotifDeposeID"]["search"] = array("table" => "R_ctr_diam", "field" => "MotifDeposeID", "page" => "search");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["r_ctr_diam.DiametreID"] )) {
			$lookupTableLinks["diametre"]["r_ctr_diam.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["r_ctr_diam.DiametreID"]["search"] = array("table" => "R_ctr_diam", "field" => "DiametreID", "page" => "search");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["r_ctr_diam.SecteurID"] )) {
			$lookupTableLinks["secteur"]["r_ctr_diam.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["r_ctr_diam.SecteurID"]["search"] = array("table" => "R_ctr_diam", "field" => "SecteurID", "page" => "search");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["r_ctr_agence.AgenceID"] )) {
			$lookupTableLinks["agence"]["r_ctr_agence.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["r_ctr_agence.AgenceID"]["search"] = array("table" => "R_ctr_agence", "field" => "AgenceID", "page" => "search");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["r_ctr_agence.MarqueID"] )) {
			$lookupTableLinks["marque"]["r_ctr_agence.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["r_ctr_agence.MarqueID"]["search"] = array("table" => "R_ctr_agence", "field" => "MarqueID", "page" => "search");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["r_ctr_agence.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["r_ctr_agence.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["r_ctr_agence.PlombierDeposeID"]["search"] = array("table" => "R_ctr_agence", "field" => "PlombierDeposeID", "page" => "search");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["r_ctr_agence.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["r_ctr_agence.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["r_ctr_agence.MotifDeposeID"]["search"] = array("table" => "R_ctr_agence", "field" => "MotifDeposeID", "page" => "search");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["r_ctr_agence.DiametreID"] )) {
			$lookupTableLinks["diametre"]["r_ctr_agence.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["r_ctr_agence.DiametreID"]["search"] = array("table" => "R_ctr_agence", "field" => "DiametreID", "page" => "search");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["r_ctr_agence.SecteurID"] )) {
			$lookupTableLinks["secteur"]["r_ctr_agence.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["r_ctr_agence.SecteurID"]["search"] = array("table" => "R_ctr_agence", "field" => "SecteurID", "page" => "search");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["liste_compteur_en_stock.AgenceID"] )) {
			$lookupTableLinks["agence"]["liste_compteur_en_stock.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["liste_compteur_en_stock.AgenceID"]["edit"] = array("table" => "liste_compteur_en_stock", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["liste_compteur_en_stock.MarqueID"] )) {
			$lookupTableLinks["marque"]["liste_compteur_en_stock.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["liste_compteur_en_stock.MarqueID"]["edit"] = array("table" => "liste_compteur_en_stock", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["liste_compteur_en_stock.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["liste_compteur_en_stock.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["liste_compteur_en_stock.PlombierDeposeID"]["edit"] = array("table" => "liste_compteur_en_stock", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["liste_compteur_en_stock.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["liste_compteur_en_stock.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["liste_compteur_en_stock.MotifDeposeID"]["edit"] = array("table" => "liste_compteur_en_stock", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["liste_compteur_en_stock.DiametreID"] )) {
			$lookupTableLinks["diametre"]["liste_compteur_en_stock.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["liste_compteur_en_stock.DiametreID"]["edit"] = array("table" => "liste_compteur_en_stock", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["nb_ctr_par_agen_diam.AgenceID"] )) {
			$lookupTableLinks["agence"]["nb_ctr_par_agen_diam.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["nb_ctr_par_agen_diam.AgenceID"]["edit"] = array("table" => "nb_ctr_par_agen_diam", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["nb_ctr_par_agen_diam.Diametre"] )) {
			$lookupTableLinks["diametre"]["nb_ctr_par_agen_diam.Diametre"] = array();
		}
		$lookupTableLinks["diametre"]["nb_ctr_par_agen_diam.Diametre"]["edit"] = array("table" => "nb_ctr_par_agen_diam", "field" => "Diametre", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["historique_compteur.MarqueID"] )) {
			$lookupTableLinks["marque"]["historique_compteur.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["historique_compteur.MarqueID"]["edit"] = array("table" => "historique_compteur", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["historique_compteur.DiametreID"] )) {
			$lookupTableLinks["diametre"]["historique_compteur.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["historique_compteur.DiametreID"]["edit"] = array("table" => "historique_compteur", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["historique_compteur.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["historique_compteur.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["historique_compteur.PlombierDeposeID"]["edit"] = array("table" => "historique_compteur", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["historique_compteur.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["historique_compteur.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["historique_compteur.MotifDeposeID"]["edit"] = array("table" => "historique_compteur", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["historique_compteur.PlombierAffecterID"] )) {
			$lookupTableLinks["plombier"]["historique_compteur.PlombierAffecterID"] = array();
		}
		$lookupTableLinks["plombier"]["historique_compteur.PlombierAffecterID"]["edit"] = array("table" => "historique_compteur", "field" => "PlombierAffecterID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["historique_compteur.PlombierPoseID"] )) {
			$lookupTableLinks["plombier"]["historique_compteur.PlombierPoseID"] = array();
		}
		$lookupTableLinks["plombier"]["historique_compteur.PlombierPoseID"]["edit"] = array("table" => "historique_compteur", "field" => "PlombierPoseID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_pose"] ) ) {
			$lookupTableLinks["motif_pose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_pose"]["historique_compteur.MotifPoseID"] )) {
			$lookupTableLinks["motif_pose"]["historique_compteur.MotifPoseID"] = array();
		}
		$lookupTableLinks["motif_pose"]["historique_compteur.MotifPoseID"]["edit"] = array("table" => "historique_compteur", "field" => "MotifPoseID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["historique_compteur.MotifRebusID"] )) {
			$lookupTableLinks["motif_depose"]["historique_compteur.MotifRebusID"] = array();
		}
		$lookupTableLinks["motif_depose"]["historique_compteur.MotifRebusID"]["edit"] = array("table" => "historique_compteur", "field" => "MotifRebusID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["historique_compteur.AgenceID"] )) {
			$lookupTableLinks["agence"]["historique_compteur.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["historique_compteur.AgenceID"]["edit"] = array("table" => "historique_compteur", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["historique_compteur.DirectionID"] )) {
			$lookupTableLinks["direction"]["historique_compteur.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["historique_compteur.DirectionID"]["edit"] = array("table" => "historique_compteur", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["historique_compteur.SecteurID"] )) {
			$lookupTableLinks["secteur"]["historique_compteur.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["historique_compteur.SecteurID"]["edit"] = array("table" => "historique_compteur", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["recap_pose.AgenceID"] )) {
			$lookupTableLinks["agence"]["recap_pose.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["recap_pose.AgenceID"]["edit"] = array("table" => "recap_pose", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["recap_pose.SecteurID"] )) {
			$lookupTableLinks["secteur"]["recap_pose.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["recap_pose.SecteurID"]["edit"] = array("table" => "recap_pose", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["recap_depose.AgenceID"] )) {
			$lookupTableLinks["agence"]["recap_depose.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["recap_depose.AgenceID"]["edit"] = array("table" => "recap_depose", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["recap_depose.SecteurID"] )) {
			$lookupTableLinks["secteur"]["recap_depose.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["recap_depose.SecteurID"]["edit"] = array("table" => "recap_depose", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["recap_entree.AgenceID"] )) {
			$lookupTableLinks["agence"]["recap_entree.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["recap_entree.AgenceID"]["edit"] = array("table" => "recap_entree", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["recap_entree.SecteurID"] )) {
			$lookupTableLinks["secteur"]["recap_entree.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["recap_entree.SecteurID"]["edit"] = array("table" => "recap_entree", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["recap_reste_mois.AgenceID"] )) {
			$lookupTableLinks["agence"]["recap_reste_mois.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["recap_reste_mois.AgenceID"]["edit"] = array("table" => "recap_reste_mois", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["recap_reste_mois.SecteurID"] )) {
			$lookupTableLinks["secteur"]["recap_reste_mois.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["recap_reste_mois.SecteurID"]["edit"] = array("table" => "recap_reste_mois", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["historique_fils.MarqueID"] )) {
			$lookupTableLinks["marque"]["historique_fils.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["historique_fils.MarqueID"]["edit"] = array("table" => "historique_fils", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["historique_fils.DiametreID"] )) {
			$lookupTableLinks["diametre"]["historique_fils.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["historique_fils.DiametreID"]["edit"] = array("table" => "historique_fils", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["historique_fils.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["historique_fils.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["historique_fils.PlombierDeposeID"]["edit"] = array("table" => "historique_fils", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["historique_fils.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["historique_fils.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["historique_fils.MotifDeposeID"]["edit"] = array("table" => "historique_fils", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["historique_fils.PlombierAffecterID"] )) {
			$lookupTableLinks["plombier"]["historique_fils.PlombierAffecterID"] = array();
		}
		$lookupTableLinks["plombier"]["historique_fils.PlombierAffecterID"]["edit"] = array("table" => "historique_fils", "field" => "PlombierAffecterID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["historique_fils.PlombierPoseID"] )) {
			$lookupTableLinks["plombier"]["historique_fils.PlombierPoseID"] = array();
		}
		$lookupTableLinks["plombier"]["historique_fils.PlombierPoseID"]["edit"] = array("table" => "historique_fils", "field" => "PlombierPoseID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_pose"] ) ) {
			$lookupTableLinks["motif_pose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_pose"]["historique_fils.MotifPoseID"] )) {
			$lookupTableLinks["motif_pose"]["historique_fils.MotifPoseID"] = array();
		}
		$lookupTableLinks["motif_pose"]["historique_fils.MotifPoseID"]["edit"] = array("table" => "historique_fils", "field" => "MotifPoseID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["historique_fils.MotifRebusID"] )) {
			$lookupTableLinks["motif_depose"]["historique_fils.MotifRebusID"] = array();
		}
		$lookupTableLinks["motif_depose"]["historique_fils.MotifRebusID"]["edit"] = array("table" => "historique_fils", "field" => "MotifRebusID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["historique_fils.AgenceID"] )) {
			$lookupTableLinks["agence"]["historique_fils.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["historique_fils.AgenceID"]["edit"] = array("table" => "historique_fils", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["historique_fils.DirectionID"] )) {
			$lookupTableLinks["direction"]["historique_fils.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["historique_fils.DirectionID"]["edit"] = array("table" => "historique_fils", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["historique_fils.SecteurOrigineCD"] )) {
			$lookupTableLinks["secteur"]["historique_fils.SecteurOrigineCD"] = array();
		}
		$lookupTableLinks["secteur"]["historique_fils.SecteurOrigineCD"]["edit"] = array("table" => "historique_fils", "field" => "SecteurOrigineCD", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["historique_fils.AgenceOrigineCD"] )) {
			$lookupTableLinks["agence"]["historique_fils.AgenceOrigineCD"] = array();
		}
		$lookupTableLinks["agence"]["historique_fils.AgenceOrigineCD"]["edit"] = array("table" => "historique_fils", "field" => "AgenceOrigineCD", "page" => "edit");
		if( !isset( $lookupTableLinks["profil"] ) ) {
			$lookupTableLinks["profil"] = array();
		}
		if( !isset( $lookupTableLinks["profil"]["vue_utilisateur.ProfilID"] )) {
			$lookupTableLinks["profil"]["vue_utilisateur.ProfilID"] = array();
		}
		$lookupTableLinks["profil"]["vue_utilisateur.ProfilID"]["edit"] = array("table" => "vue_utilisateur", "field" => "ProfilID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["vue_utilisateur.AgenceID"] )) {
			$lookupTableLinks["agence"]["vue_utilisateur.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["vue_utilisateur.AgenceID"]["edit"] = array("table" => "vue_utilisateur", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["vue_utilisateur.DirectionID"] )) {
			$lookupTableLinks["direction"]["vue_utilisateur.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["vue_utilisateur.DirectionID"]["edit"] = array("table" => "vue_utilisateur", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["vue_utilisateur.SecteurID"] )) {
			$lookupTableLinks["secteur"]["vue_utilisateur.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["vue_utilisateur.SecteurID"]["edit"] = array("table" => "vue_utilisateur", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["compteurs_affectes"] ) ) {
			$lookupTableLinks["compteurs_affectes"] = array();
		}
		if( !isset( $lookupTableLinks["compteurs_affectes"]["compteur_pose.iDcompteur"] )) {
			$lookupTableLinks["compteurs_affectes"]["compteur_pose.iDcompteur"] = array();
		}
		$lookupTableLinks["compteurs_affectes"]["compteur_pose.iDcompteur"]["edit"] = array("table" => "compteur_pose", "field" => "iDcompteur", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["compteur_pose.DirectionID"] )) {
			$lookupTableLinks["direction"]["compteur_pose.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["compteur_pose.DirectionID"]["edit"] = array("table" => "compteur_pose", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["compteur_pose.AgenceID"] )) {
			$lookupTableLinks["agence"]["compteur_pose.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["compteur_pose.AgenceID"]["edit"] = array("table" => "compteur_pose", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["compteur_pose.DiametreID"] )) {
			$lookupTableLinks["diametre"]["compteur_pose.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["compteur_pose.DiametreID"]["edit"] = array("table" => "compteur_pose", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["compteur_pose.MarqueID"] )) {
			$lookupTableLinks["marque"]["compteur_pose.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["compteur_pose.MarqueID"]["edit"] = array("table" => "compteur_pose", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteur_pose.PlombierAffecterID"] )) {
			$lookupTableLinks["plombier"]["compteur_pose.PlombierAffecterID"] = array();
		}
		$lookupTableLinks["plombier"]["compteur_pose.PlombierAffecterID"]["edit"] = array("table" => "compteur_pose", "field" => "PlombierAffecterID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteur_pose.PlombierPoseID"] )) {
			$lookupTableLinks["plombier"]["compteur_pose.PlombierPoseID"] = array();
		}
		$lookupTableLinks["plombier"]["compteur_pose.PlombierPoseID"]["edit"] = array("table" => "compteur_pose", "field" => "PlombierPoseID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_pose"] ) ) {
			$lookupTableLinks["motif_pose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_pose"]["compteur_pose.MotifPoseID"] )) {
			$lookupTableLinks["motif_pose"]["compteur_pose.MotifPoseID"] = array();
		}
		$lookupTableLinks["motif_pose"]["compteur_pose.MotifPoseID"]["edit"] = array("table" => "compteur_pose", "field" => "MotifPoseID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["areq_test.DirectionID"] )) {
			$lookupTableLinks["direction"]["areq_test.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["areq_test.DirectionID"]["edit"] = array("table" => "AREQ_TEST", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["areq_test.MarqueID"] )) {
			$lookupTableLinks["marque"]["areq_test.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["areq_test.MarqueID"]["edit"] = array("table" => "AREQ_TEST", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["areq_test.DiametreID"] )) {
			$lookupTableLinks["diametre"]["areq_test.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["areq_test.DiametreID"]["edit"] = array("table" => "AREQ_TEST", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["areq_test.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["areq_test.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["areq_test.PlombierDeposeID"]["edit"] = array("table" => "AREQ_TEST", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["areq_test.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["areq_test.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["areq_test.MotifDeposeID"]["edit"] = array("table" => "AREQ_TEST", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["rapport_remplacement.AgenceID"] )) {
			$lookupTableLinks["agence"]["rapport_remplacement.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["rapport_remplacement.AgenceID"]["search"] = array("table" => "rapport_remplacement", "field" => "AgenceID", "page" => "search");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["rapport_remplacement.DiametreID"] )) {
			$lookupTableLinks["diametre"]["rapport_remplacement.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["rapport_remplacement.DiametreID"]["search"] = array("table" => "rapport_remplacement", "field" => "DiametreID", "page" => "search");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["rapport_remplacement.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["rapport_remplacement.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["rapport_remplacement.MotifDeposeID"]["search"] = array("table" => "rapport_remplacement", "field" => "MotifDeposeID", "page" => "search");
		if( !isset( $lookupTableLinks["compteurs_affectes"] ) ) {
			$lookupTableLinks["compteurs_affectes"] = array();
		}
		if( !isset( $lookupTableLinks["compteurs_affectes"]["pose_de_compteurs.iDcompteur"] )) {
			$lookupTableLinks["compteurs_affectes"]["pose_de_compteurs.iDcompteur"] = array();
		}
		$lookupTableLinks["compteurs_affectes"]["pose_de_compteurs.iDcompteur"]["edit"] = array("table" => "pose_de_compteurs", "field" => "iDcompteur", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["pose_de_compteurs.DirectionID"] )) {
			$lookupTableLinks["direction"]["pose_de_compteurs.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["pose_de_compteurs.DirectionID"]["edit"] = array("table" => "pose_de_compteurs", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["pose_de_compteurs.AgenceID"] )) {
			$lookupTableLinks["agence"]["pose_de_compteurs.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["pose_de_compteurs.AgenceID"]["edit"] = array("table" => "pose_de_compteurs", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["pose_de_compteurs.DiametreID"] )) {
			$lookupTableLinks["diametre"]["pose_de_compteurs.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["pose_de_compteurs.DiametreID"]["edit"] = array("table" => "pose_de_compteurs", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["pose_de_compteurs.MarqueID"] )) {
			$lookupTableLinks["marque"]["pose_de_compteurs.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["pose_de_compteurs.MarqueID"]["edit"] = array("table" => "pose_de_compteurs", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["pose_de_compteurs.PlombierAffecterID"] )) {
			$lookupTableLinks["plombier"]["pose_de_compteurs.PlombierAffecterID"] = array();
		}
		$lookupTableLinks["plombier"]["pose_de_compteurs.PlombierAffecterID"]["edit"] = array("table" => "pose_de_compteurs", "field" => "PlombierAffecterID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["pose_de_compteurs.PlombierPoseID"] )) {
			$lookupTableLinks["plombier"]["pose_de_compteurs.PlombierPoseID"] = array();
		}
		$lookupTableLinks["plombier"]["pose_de_compteurs.PlombierPoseID"]["edit"] = array("table" => "pose_de_compteurs", "field" => "PlombierPoseID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_pose"] ) ) {
			$lookupTableLinks["motif_pose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_pose"]["pose_de_compteurs.MotifPoseID"] )) {
			$lookupTableLinks["motif_pose"]["pose_de_compteurs.MotifPoseID"] = array();
		}
		$lookupTableLinks["motif_pose"]["pose_de_compteurs.MotifPoseID"]["edit"] = array("table" => "pose_de_compteurs", "field" => "MotifPoseID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["pose_de_compteurs.MarqueIDRebus"] )) {
			$lookupTableLinks["marque"]["pose_de_compteurs.MarqueIDRebus"] = array();
		}
		$lookupTableLinks["marque"]["pose_de_compteurs.MarqueIDRebus"]["edit"] = array("table" => "pose_de_compteurs", "field" => "MarqueIDRebus", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["pose_de_compteurs.MotifDeposeIDRebus"] )) {
			$lookupTableLinks["motif_depose"]["pose_de_compteurs.MotifDeposeIDRebus"] = array();
		}
		$lookupTableLinks["motif_depose"]["pose_de_compteurs.MotifDeposeIDRebus"]["edit"] = array("table" => "pose_de_compteurs", "field" => "MotifDeposeIDRebus", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["pose_de_compteurs.SecteurID"] )) {
			$lookupTableLinks["secteur"]["pose_de_compteurs.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["pose_de_compteurs.SecteurID"]["edit"] = array("table" => "pose_de_compteurs", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["pose_de_compteurs.RespModif"] )) {
			$lookupTableLinks["user_combo"]["pose_de_compteurs.RespModif"] = array();
		}
		$lookupTableLinks["user_combo"]["pose_de_compteurs.RespModif"]["edit"] = array("table" => "pose_de_compteurs", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["rapport_remplacement_dr.AgenceID"] )) {
			$lookupTableLinks["agence"]["rapport_remplacement_dr.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["rapport_remplacement_dr.AgenceID"]["search"] = array("table" => "rapport_remplacement_dr", "field" => "AgenceID", "page" => "search");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["rapport_remplacement_dr.DiametreID"] )) {
			$lookupTableLinks["diametre"]["rapport_remplacement_dr.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["rapport_remplacement_dr.DiametreID"]["search"] = array("table" => "rapport_remplacement_dr", "field" => "DiametreID", "page" => "search");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["rapport_remplacement_dr.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["rapport_remplacement_dr.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["rapport_remplacement_dr.MotifDeposeID"]["search"] = array("table" => "rapport_remplacement_dr", "field" => "MotifDeposeID", "page" => "search");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["rapport_reprise_abonnement.AgenceID"] )) {
			$lookupTableLinks["agence"]["rapport_reprise_abonnement.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["rapport_reprise_abonnement.AgenceID"]["search"] = array("table" => "rapport_reprise_abonnement", "field" => "AgenceID", "page" => "search");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["rapport_reprise_abonnement.DiametreID"] )) {
			$lookupTableLinks["diametre"]["rapport_reprise_abonnement.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["rapport_reprise_abonnement.DiametreID"]["search"] = array("table" => "rapport_reprise_abonnement", "field" => "DiametreID", "page" => "search");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["rapport_reprise_abonnement.MarqueID"] )) {
			$lookupTableLinks["marque"]["rapport_reprise_abonnement.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["rapport_reprise_abonnement.MarqueID"]["search"] = array("table" => "rapport_reprise_abonnement", "field" => "MarqueID", "page" => "search");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["rpt_reprise_abonnement.DirectionID"] )) {
			$lookupTableLinks["direction"]["rpt_reprise_abonnement.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["rpt_reprise_abonnement.DirectionID"]["edit"] = array("table" => "rpt_reprise_abonnement", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["rpt_reprise_abonnement.AgenceID"] )) {
			$lookupTableLinks["agence"]["rpt_reprise_abonnement.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["rpt_reprise_abonnement.AgenceID"]["edit"] = array("table" => "rpt_reprise_abonnement", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["rpt_reprise_abonnement.DiametreID"] )) {
			$lookupTableLinks["diametre"]["rpt_reprise_abonnement.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["rpt_reprise_abonnement.DiametreID"]["edit"] = array("table" => "rpt_reprise_abonnement", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["rpt_reprise_abonnement.MarqueID"] )) {
			$lookupTableLinks["marque"]["rpt_reprise_abonnement.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["rpt_reprise_abonnement.MarqueID"]["edit"] = array("table" => "rpt_reprise_abonnement", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["rpt_reprise_abonnement.SecteurID"] )) {
			$lookupTableLinks["secteur"]["rpt_reprise_abonnement.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["rpt_reprise_abonnement.SecteurID"]["edit"] = array("table" => "rpt_reprise_abonnement", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["fils_ctrs_depose.MarqueID"] )) {
			$lookupTableLinks["marque"]["fils_ctrs_depose.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["fils_ctrs_depose.MarqueID"]["edit"] = array("table" => "fils_ctrs_depose", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["fils_ctrs_depose.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["fils_ctrs_depose.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["fils_ctrs_depose.PlombierDeposeID"]["edit"] = array("table" => "fils_ctrs_depose", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["fils_ctrs_depose.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["fils_ctrs_depose.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["fils_ctrs_depose.MotifDeposeID"]["edit"] = array("table" => "fils_ctrs_depose", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["rpt_remplacement_ctr.DirectionID"] )) {
			$lookupTableLinks["direction"]["rpt_remplacement_ctr.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["rpt_remplacement_ctr.DirectionID"]["edit"] = array("table" => "rpt_remplacement_ctr", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["rpt_remplacement_ctr.AgenceID"] )) {
			$lookupTableLinks["agence"]["rpt_remplacement_ctr.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["rpt_remplacement_ctr.AgenceID"]["edit"] = array("table" => "rpt_remplacement_ctr", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["rpt_remplacement_ctr.SecteurID"] )) {
			$lookupTableLinks["secteur"]["rpt_remplacement_ctr.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["rpt_remplacement_ctr.SecteurID"]["edit"] = array("table" => "rpt_remplacement_ctr", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["rpt_remplacement_ctr.DiametreID"] )) {
			$lookupTableLinks["diametre"]["rpt_remplacement_ctr.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["rpt_remplacement_ctr.DiametreID"]["edit"] = array("table" => "rpt_remplacement_ctr", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["rpt_remplacement_ctr.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["rpt_remplacement_ctr.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["rpt_remplacement_ctr.MotifDeposeID"]["edit"] = array("table" => "rpt_remplacement_ctr", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["compteurs_affectes"] ) ) {
			$lookupTableLinks["compteurs_affectes"] = array();
		}
		if( !isset( $lookupTableLinks["compteurs_affectes"]["fils_pose_bcht.iDcompteur"] )) {
			$lookupTableLinks["compteurs_affectes"]["fils_pose_bcht.iDcompteur"] = array();
		}
		$lookupTableLinks["compteurs_affectes"]["fils_pose_bcht.iDcompteur"]["edit"] = array("table" => "fils_pose_bcht", "field" => "iDcompteur", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["fils_pose_bcht.PlombierPoseID"] )) {
			$lookupTableLinks["plombier"]["fils_pose_bcht.PlombierPoseID"] = array();
		}
		$lookupTableLinks["plombier"]["fils_pose_bcht.PlombierPoseID"]["edit"] = array("table" => "fils_pose_bcht", "field" => "PlombierPoseID", "page" => "edit");
		if( !isset( $lookupTableLinks["compteurs_affectes"] ) ) {
			$lookupTableLinks["compteurs_affectes"] = array();
		}
		if( !isset( $lookupTableLinks["compteurs_affectes"]["fils_pose_reabon.iDcompteur"] )) {
			$lookupTableLinks["compteurs_affectes"]["fils_pose_reabon.iDcompteur"] = array();
		}
		$lookupTableLinks["compteurs_affectes"]["fils_pose_reabon.iDcompteur"]["edit"] = array("table" => "fils_pose_reabon", "field" => "iDcompteur", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["fils_pose_reabon.PlombierPoseID"] )) {
			$lookupTableLinks["plombier"]["fils_pose_reabon.PlombierPoseID"] = array();
		}
		$lookupTableLinks["plombier"]["fils_pose_reabon.PlombierPoseID"]["edit"] = array("table" => "fils_pose_reabon", "field" => "PlombierPoseID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["rpt_branchements_promo.DirectionID"] )) {
			$lookupTableLinks["direction"]["rpt_branchements_promo.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["rpt_branchements_promo.DirectionID"]["edit"] = array("table" => "rpt_branchements_promo", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["rpt_branchements_promo.AgenceID"] )) {
			$lookupTableLinks["agence"]["rpt_branchements_promo.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["rpt_branchements_promo.AgenceID"]["edit"] = array("table" => "rpt_branchements_promo", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["rpt_branchements_promo.DiametreID"] )) {
			$lookupTableLinks["diametre"]["rpt_branchements_promo.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["rpt_branchements_promo.DiametreID"]["edit"] = array("table" => "rpt_branchements_promo", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["rpt_branchements_promo.MarqueID"] )) {
			$lookupTableLinks["marque"]["rpt_branchements_promo.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["rpt_branchements_promo.MarqueID"]["edit"] = array("table" => "rpt_branchements_promo", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["rpt_branchements_promo.SecteurID"] )) {
			$lookupTableLinks["secteur"]["rpt_branchements_promo.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["rpt_branchements_promo.SecteurID"]["edit"] = array("table" => "rpt_branchements_promo", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["rpt_branchements_ordinaire.DirectionID"] )) {
			$lookupTableLinks["direction"]["rpt_branchements_ordinaire.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["rpt_branchements_ordinaire.DirectionID"]["edit"] = array("table" => "rpt_branchements_ordinaire", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["rpt_branchements_ordinaire.AgenceID"] )) {
			$lookupTableLinks["agence"]["rpt_branchements_ordinaire.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["rpt_branchements_ordinaire.AgenceID"]["edit"] = array("table" => "rpt_branchements_ordinaire", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["rpt_branchements_ordinaire.DiametreID"] )) {
			$lookupTableLinks["diametre"]["rpt_branchements_ordinaire.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["rpt_branchements_ordinaire.DiametreID"]["edit"] = array("table" => "rpt_branchements_ordinaire", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["rpt_branchements_ordinaire.MarqueID"] )) {
			$lookupTableLinks["marque"]["rpt_branchements_ordinaire.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["rpt_branchements_ordinaire.MarqueID"]["edit"] = array("table" => "rpt_branchements_ordinaire", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["rpt_branchements_ordinaire.SecteurID"] )) {
			$lookupTableLinks["secteur"]["rpt_branchements_ordinaire.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["rpt_branchements_ordinaire.SecteurID"]["edit"] = array("table" => "rpt_branchements_ordinaire", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["stock_compteurs.AgenceID"] )) {
			$lookupTableLinks["agence"]["stock_compteurs.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["stock_compteurs.AgenceID"]["edit"] = array("table" => "stock_compteurs", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["stock_compteurs.MarqueID"] )) {
			$lookupTableLinks["marque"]["stock_compteurs.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["stock_compteurs.MarqueID"]["edit"] = array("table" => "stock_compteurs", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["stock_compteurs.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["stock_compteurs.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["stock_compteurs.PlombierDeposeID"]["edit"] = array("table" => "stock_compteurs", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["stock_compteurs.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["stock_compteurs.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["stock_compteurs.MotifDeposeID"]["edit"] = array("table" => "stock_compteurs", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["stock_compteurs.DiametreID"] )) {
			$lookupTableLinks["diametre"]["stock_compteurs.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["stock_compteurs.DiametreID"]["edit"] = array("table" => "stock_compteurs", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["stock_compteurs.DirectionID"] )) {
			$lookupTableLinks["direction"]["stock_compteurs.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["stock_compteurs.DirectionID"]["edit"] = array("table" => "stock_compteurs", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["stock_compteurs.PlombierAffecterID"] )) {
			$lookupTableLinks["plombier"]["stock_compteurs.PlombierAffecterID"] = array();
		}
		$lookupTableLinks["plombier"]["stock_compteurs.PlombierAffecterID"]["edit"] = array("table" => "stock_compteurs", "field" => "PlombierAffecterID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["stock_compteurs.SecteurID"] )) {
			$lookupTableLinks["secteur"]["stock_compteurs.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["stock_compteurs.SecteurID"]["edit"] = array("table" => "stock_compteurs", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["secteur.AgenceID"] )) {
			$lookupTableLinks["agence"]["secteur.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["secteur.AgenceID"]["edit"] = array("table" => "secteur", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["recap_entree_ag.AgenceID"] )) {
			$lookupTableLinks["agence"]["recap_entree_ag.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["recap_entree_ag.AgenceID"]["edit"] = array("table" => "recap_entree_ag", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["recap_entree_ag.SecteurID"] )) {
			$lookupTableLinks["secteur"]["recap_entree_ag.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["recap_entree_ag.SecteurID"]["edit"] = array("table" => "recap_entree_ag", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["recap_depose_ag.AgenceID"] )) {
			$lookupTableLinks["agence"]["recap_depose_ag.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["recap_depose_ag.AgenceID"]["edit"] = array("table" => "recap_depose_ag", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["recap_depose_ag.SecteurID"] )) {
			$lookupTableLinks["secteur"]["recap_depose_ag.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["recap_depose_ag.SecteurID"]["edit"] = array("table" => "recap_depose_ag", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["recap_pose_ag.AgenceID"] )) {
			$lookupTableLinks["agence"]["recap_pose_ag.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["recap_pose_ag.AgenceID"]["edit"] = array("table" => "recap_pose_ag", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["recap_pose_ag.SecteurID"] )) {
			$lookupTableLinks["secteur"]["recap_pose_ag.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["recap_pose_ag.SecteurID"]["edit"] = array("table" => "recap_pose_ag", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["recap_reste_mois_ag.AgenceID"] )) {
			$lookupTableLinks["agence"]["recap_reste_mois_ag.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["recap_reste_mois_ag.AgenceID"]["edit"] = array("table" => "recap_reste_mois_ag", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["recap_reste_mois_ag.SecteurID"] )) {
			$lookupTableLinks["secteur"]["recap_reste_mois_ag.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["recap_reste_mois_ag.SecteurID"]["edit"] = array("table" => "recap_reste_mois_ag", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["select_ctr_a_affecter.DirectionID"] )) {
			$lookupTableLinks["direction"]["select_ctr_a_affecter.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["select_ctr_a_affecter.DirectionID"]["edit"] = array("table" => "select_ctr_a_affecter", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["select_ctr_a_affecter.AgenceID"] )) {
			$lookupTableLinks["agence"]["select_ctr_a_affecter.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["select_ctr_a_affecter.AgenceID"]["edit"] = array("table" => "select_ctr_a_affecter", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["compteurs_a_affecter"] ) ) {
			$lookupTableLinks["compteurs_a_affecter"] = array();
		}
		if( !isset( $lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_affecter.SecteurID"] )) {
			$lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_affecter.SecteurID"] = array();
		}
		$lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_affecter.SecteurID"]["edit"] = array("table" => "select_ctr_a_affecter", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["compteurs_a_affecter"] ) ) {
			$lookupTableLinks["compteurs_a_affecter"] = array();
		}
		if( !isset( $lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_affecter.SecteurIDRef_Filtre"] )) {
			$lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_affecter.SecteurIDRef_Filtre"] = array();
		}
		$lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_affecter.SecteurIDRef_Filtre"]["edit"] = array("table" => "select_ctr_a_affecter", "field" => "SecteurIDRef_Filtre", "page" => "edit");
		if( !isset( $lookupTableLinks["compteurs_a_affecter"] ) ) {
			$lookupTableLinks["compteurs_a_affecter"] = array();
		}
		if( !isset( $lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_affecter.NumReference"] )) {
			$lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_affecter.NumReference"] = array();
		}
		$lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_affecter.NumReference"]["edit"] = array("table" => "select_ctr_a_affecter", "field" => "NumReference", "page" => "edit");
		if( !isset( $lookupTableLinks["compteurs_a_affecter"] ) ) {
			$lookupTableLinks["compteurs_a_affecter"] = array();
		}
		if( !isset( $lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_affecter.NumCTR"] )) {
			$lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_affecter.NumCTR"] = array();
		}
		$lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_affecter.NumCTR"]["edit"] = array("table" => "select_ctr_a_affecter", "field" => "NumCTR", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["select_ctr_a_affecter.PlombierAffecterID"] )) {
			$lookupTableLinks["plombier"]["select_ctr_a_affecter.PlombierAffecterID"] = array();
		}
		$lookupTableLinks["plombier"]["select_ctr_a_affecter.PlombierAffecterID"]["edit"] = array("table" => "select_ctr_a_affecter", "field" => "PlombierAffecterID", "page" => "edit");
		if( !isset( $lookupTableLinks["compteur"] ) ) {
			$lookupTableLinks["compteur"] = array();
		}
		if( !isset( $lookupTableLinks["compteur"]["transfert.CompteurID"] )) {
			$lookupTableLinks["compteur"]["transfert.CompteurID"] = array();
		}
		$lookupTableLinks["compteur"]["transfert.CompteurID"]["edit"] = array("table" => "transfert", "field" => "CompteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["transfert.SecteurFrom"] )) {
			$lookupTableLinks["secteur"]["transfert.SecteurFrom"] = array();
		}
		$lookupTableLinks["secteur"]["transfert.SecteurFrom"]["edit"] = array("table" => "transfert", "field" => "SecteurFrom", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["transfert.AgenceFrom"] )) {
			$lookupTableLinks["agence"]["transfert.AgenceFrom"] = array();
		}
		$lookupTableLinks["agence"]["transfert.AgenceFrom"]["edit"] = array("table" => "transfert", "field" => "AgenceFrom", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_secteur"] ) ) {
			$lookupTableLinks["transf_secteur"] = array();
		}
		if( !isset( $lookupTableLinks["transf_secteur"]["transfert.SecteurTo"] )) {
			$lookupTableLinks["transf_secteur"]["transfert.SecteurTo"] = array();
		}
		$lookupTableLinks["transf_secteur"]["transfert.SecteurTo"]["edit"] = array("table" => "transfert", "field" => "SecteurTo", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_agence"] ) ) {
			$lookupTableLinks["transf_agence"] = array();
		}
		if( !isset( $lookupTableLinks["transf_agence"]["transfert.AgenceTo"] )) {
			$lookupTableLinks["transf_agence"]["transfert.AgenceTo"] = array();
		}
		$lookupTableLinks["transf_agence"]["transfert.AgenceTo"]["edit"] = array("table" => "transfert", "field" => "AgenceTo", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert.RespTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert.RespTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert.RespTransf"]["edit"] = array("table" => "transfert", "field" => "RespTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert.RespValidTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert.RespValidTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert.RespValidTransf"]["edit"] = array("table" => "transfert", "field" => "RespValidTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert.RespRefusTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert.RespRefusTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert.RespRefusTransf"]["edit"] = array("table" => "transfert", "field" => "RespRefusTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["select_ctr_a_transf.DirectionID"] )) {
			$lookupTableLinks["direction"]["select_ctr_a_transf.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["select_ctr_a_transf.DirectionID"]["edit"] = array("table" => "select_ctr_a_transf", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["select_ctr_a_transf.AgenceOrigine"] )) {
			$lookupTableLinks["agence"]["select_ctr_a_transf.AgenceOrigine"] = array();
		}
		$lookupTableLinks["agence"]["select_ctr_a_transf.AgenceOrigine"]["edit"] = array("table" => "select_ctr_a_transf", "field" => "AgenceOrigine", "page" => "edit");
		if( !isset( $lookupTableLinks["compteurs_a_affecter"] ) ) {
			$lookupTableLinks["compteurs_a_affecter"] = array();
		}
		if( !isset( $lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_transf.SecteurOrigine"] )) {
			$lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_transf.SecteurOrigine"] = array();
		}
		$lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_transf.SecteurOrigine"]["edit"] = array("table" => "select_ctr_a_transf", "field" => "SecteurOrigine", "page" => "edit");
		if( !isset( $lookupTableLinks["compteurs_a_affecter"] ) ) {
			$lookupTableLinks["compteurs_a_affecter"] = array();
		}
		if( !isset( $lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_transf.SecteurIDRef_Filtre"] )) {
			$lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_transf.SecteurIDRef_Filtre"] = array();
		}
		$lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_transf.SecteurIDRef_Filtre"]["edit"] = array("table" => "select_ctr_a_transf", "field" => "SecteurIDRef_Filtre", "page" => "edit");
		if( !isset( $lookupTableLinks["select_ctr_a_transf"] ) ) {
			$lookupTableLinks["select_ctr_a_transf"] = array();
		}
		if( !isset( $lookupTableLinks["select_ctr_a_transf"]["select_ctr_a_transf.NumCTR"] )) {
			$lookupTableLinks["select_ctr_a_transf"]["select_ctr_a_transf.NumCTR"] = array();
		}
		$lookupTableLinks["select_ctr_a_transf"]["select_ctr_a_transf.NumCTR"]["edit"] = array("table" => "select_ctr_a_transf", "field" => "NumCTR", "page" => "edit");
		if( !isset( $lookupTableLinks["compteurs_a_affecter"] ) ) {
			$lookupTableLinks["compteurs_a_affecter"] = array();
		}
		if( !isset( $lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_transf.NumReference"] )) {
			$lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_transf.NumReference"] = array();
		}
		$lookupTableLinks["compteurs_a_affecter"]["select_ctr_a_transf.NumReference"]["edit"] = array("table" => "select_ctr_a_transf", "field" => "NumReference", "page" => "edit");
		if( !isset( $lookupTableLinks["select_ctr_a_transf"] ) ) {
			$lookupTableLinks["select_ctr_a_transf"] = array();
		}
		if( !isset( $lookupTableLinks["select_ctr_a_transf"]["select_ctr_a_transf.iDcompteur"] )) {
			$lookupTableLinks["select_ctr_a_transf"]["select_ctr_a_transf.iDcompteur"] = array();
		}
		$lookupTableLinks["select_ctr_a_transf"]["select_ctr_a_transf.iDcompteur"]["edit"] = array("table" => "select_ctr_a_transf", "field" => "iDcompteur", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_agence"] ) ) {
			$lookupTableLinks["transf_agence"] = array();
		}
		if( !isset( $lookupTableLinks["transf_agence"]["select_ctr_a_transf.AgenceDestination"] )) {
			$lookupTableLinks["transf_agence"]["select_ctr_a_transf.AgenceDestination"] = array();
		}
		$lookupTableLinks["transf_agence"]["select_ctr_a_transf.AgenceDestination"]["edit"] = array("table" => "select_ctr_a_transf", "field" => "AgenceDestination", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_secteur"] ) ) {
			$lookupTableLinks["transf_secteur"] = array();
		}
		if( !isset( $lookupTableLinks["transf_secteur"]["select_ctr_a_transf.SecteurDestination"] )) {
			$lookupTableLinks["transf_secteur"]["select_ctr_a_transf.SecteurDestination"] = array();
		}
		$lookupTableLinks["transf_secteur"]["select_ctr_a_transf.SecteurDestination"]["edit"] = array("table" => "select_ctr_a_transf", "field" => "SecteurDestination", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["transf_secteur.AgenceID"] )) {
			$lookupTableLinks["agence"]["transf_secteur.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["transf_secteur.AgenceID"]["edit"] = array("table" => "transf_secteur", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["transf_agence.DirectionID"] )) {
			$lookupTableLinks["direction"]["transf_agence.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["transf_agence.DirectionID"]["edit"] = array("table" => "transf_agence", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["compteur"] ) ) {
			$lookupTableLinks["compteur"] = array();
		}
		if( !isset( $lookupTableLinks["compteur"]["transfert_recu.CompteurID"] )) {
			$lookupTableLinks["compteur"]["transfert_recu.CompteurID"] = array();
		}
		$lookupTableLinks["compteur"]["transfert_recu.CompteurID"]["edit"] = array("table" => "transfert_recu", "field" => "CompteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["transfert_recu.SecteurFrom"] )) {
			$lookupTableLinks["secteur"]["transfert_recu.SecteurFrom"] = array();
		}
		$lookupTableLinks["secteur"]["transfert_recu.SecteurFrom"]["edit"] = array("table" => "transfert_recu", "field" => "SecteurFrom", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_agence"] ) ) {
			$lookupTableLinks["transf_agence"] = array();
		}
		if( !isset( $lookupTableLinks["transf_agence"]["transfert_recu.AgenceFrom"] )) {
			$lookupTableLinks["transf_agence"]["transfert_recu.AgenceFrom"] = array();
		}
		$lookupTableLinks["transf_agence"]["transfert_recu.AgenceFrom"]["edit"] = array("table" => "transfert_recu", "field" => "AgenceFrom", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_secteur"] ) ) {
			$lookupTableLinks["transf_secteur"] = array();
		}
		if( !isset( $lookupTableLinks["transf_secteur"]["transfert_recu.SecteurTo"] )) {
			$lookupTableLinks["transf_secteur"]["transfert_recu.SecteurTo"] = array();
		}
		$lookupTableLinks["transf_secteur"]["transfert_recu.SecteurTo"]["edit"] = array("table" => "transfert_recu", "field" => "SecteurTo", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_agence"] ) ) {
			$lookupTableLinks["transf_agence"] = array();
		}
		if( !isset( $lookupTableLinks["transf_agence"]["transfert_recu.AgenceTo"] )) {
			$lookupTableLinks["transf_agence"]["transfert_recu.AgenceTo"] = array();
		}
		$lookupTableLinks["transf_agence"]["transfert_recu.AgenceTo"]["edit"] = array("table" => "transfert_recu", "field" => "AgenceTo", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_recu.RespTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_recu.RespTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_recu.RespTransf"]["edit"] = array("table" => "transfert_recu", "field" => "RespTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_recu.RespValidTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_recu.RespValidTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_recu.RespValidTransf"]["edit"] = array("table" => "transfert_recu", "field" => "RespValidTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_recu.RespRefusTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_recu.RespRefusTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_recu.RespRefusTransf"]["edit"] = array("table" => "transfert_recu", "field" => "RespRefusTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["compteur"] ) ) {
			$lookupTableLinks["compteur"] = array();
		}
		if( !isset( $lookupTableLinks["compteur"]["transfert_envoye.CompteurID"] )) {
			$lookupTableLinks["compteur"]["transfert_envoye.CompteurID"] = array();
		}
		$lookupTableLinks["compteur"]["transfert_envoye.CompteurID"]["edit"] = array("table" => "transfert_envoye", "field" => "CompteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["transfert_envoye.SecteurFrom"] )) {
			$lookupTableLinks["secteur"]["transfert_envoye.SecteurFrom"] = array();
		}
		$lookupTableLinks["secteur"]["transfert_envoye.SecteurFrom"]["edit"] = array("table" => "transfert_envoye", "field" => "SecteurFrom", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_agence"] ) ) {
			$lookupTableLinks["transf_agence"] = array();
		}
		if( !isset( $lookupTableLinks["transf_agence"]["transfert_envoye.AgenceFrom"] )) {
			$lookupTableLinks["transf_agence"]["transfert_envoye.AgenceFrom"] = array();
		}
		$lookupTableLinks["transf_agence"]["transfert_envoye.AgenceFrom"]["edit"] = array("table" => "transfert_envoye", "field" => "AgenceFrom", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_secteur"] ) ) {
			$lookupTableLinks["transf_secteur"] = array();
		}
		if( !isset( $lookupTableLinks["transf_secteur"]["transfert_envoye.SecteurTo"] )) {
			$lookupTableLinks["transf_secteur"]["transfert_envoye.SecteurTo"] = array();
		}
		$lookupTableLinks["transf_secteur"]["transfert_envoye.SecteurTo"]["edit"] = array("table" => "transfert_envoye", "field" => "SecteurTo", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_agence"] ) ) {
			$lookupTableLinks["transf_agence"] = array();
		}
		if( !isset( $lookupTableLinks["transf_agence"]["transfert_envoye.AgenceTo"] )) {
			$lookupTableLinks["transf_agence"]["transfert_envoye.AgenceTo"] = array();
		}
		$lookupTableLinks["transf_agence"]["transfert_envoye.AgenceTo"]["edit"] = array("table" => "transfert_envoye", "field" => "AgenceTo", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_envoye.RespTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_envoye.RespTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_envoye.RespTransf"]["edit"] = array("table" => "transfert_envoye", "field" => "RespTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_envoye.RespValidTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_envoye.RespValidTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_envoye.RespValidTransf"]["edit"] = array("table" => "transfert_envoye", "field" => "RespValidTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_envoye.RespRefusTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_envoye.RespRefusTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_envoye.RespRefusTransf"]["edit"] = array("table" => "transfert_envoye", "field" => "RespRefusTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["compteur"] ) ) {
			$lookupTableLinks["compteur"] = array();
		}
		if( !isset( $lookupTableLinks["compteur"]["transfert_refuse.CompteurID"] )) {
			$lookupTableLinks["compteur"]["transfert_refuse.CompteurID"] = array();
		}
		$lookupTableLinks["compteur"]["transfert_refuse.CompteurID"]["edit"] = array("table" => "transfert_refuse", "field" => "CompteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["transfert_refuse.SecteurFrom"] )) {
			$lookupTableLinks["secteur"]["transfert_refuse.SecteurFrom"] = array();
		}
		$lookupTableLinks["secteur"]["transfert_refuse.SecteurFrom"]["edit"] = array("table" => "transfert_refuse", "field" => "SecteurFrom", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["transfert_refuse.AgenceFrom"] )) {
			$lookupTableLinks["agence"]["transfert_refuse.AgenceFrom"] = array();
		}
		$lookupTableLinks["agence"]["transfert_refuse.AgenceFrom"]["edit"] = array("table" => "transfert_refuse", "field" => "AgenceFrom", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_secteur"] ) ) {
			$lookupTableLinks["transf_secteur"] = array();
		}
		if( !isset( $lookupTableLinks["transf_secteur"]["transfert_refuse.SecteurTo"] )) {
			$lookupTableLinks["transf_secteur"]["transfert_refuse.SecteurTo"] = array();
		}
		$lookupTableLinks["transf_secteur"]["transfert_refuse.SecteurTo"]["edit"] = array("table" => "transfert_refuse", "field" => "SecteurTo", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_agence"] ) ) {
			$lookupTableLinks["transf_agence"] = array();
		}
		if( !isset( $lookupTableLinks["transf_agence"]["transfert_refuse.AgenceTo"] )) {
			$lookupTableLinks["transf_agence"]["transfert_refuse.AgenceTo"] = array();
		}
		$lookupTableLinks["transf_agence"]["transfert_refuse.AgenceTo"]["edit"] = array("table" => "transfert_refuse", "field" => "AgenceTo", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_refuse.RespTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_refuse.RespTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_refuse.RespTransf"]["edit"] = array("table" => "transfert_refuse", "field" => "RespTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_refuse.RespValidTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_refuse.RespValidTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_refuse.RespValidTransf"]["edit"] = array("table" => "transfert_refuse", "field" => "RespValidTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_refuse.RespRefusTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_refuse.RespRefusTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_refuse.RespRefusTransf"]["edit"] = array("table" => "transfert_refuse", "field" => "RespRefusTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["transfert_en_instance"] ) ) {
			$lookupTableLinks["transfert_en_instance"] = array();
		}
		if( !isset( $lookupTableLinks["transfert_en_instance"]["transf_a_valider.DateTransfert"] )) {
			$lookupTableLinks["transfert_en_instance"]["transf_a_valider.DateTransfert"] = array();
		}
		$lookupTableLinks["transfert_en_instance"]["transf_a_valider.DateTransfert"]["edit"] = array("table" => "transf_a_valider", "field" => "DateTransfert", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["transf_a_valider.DirectionID"] )) {
			$lookupTableLinks["direction"]["transf_a_valider.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["transf_a_valider.DirectionID"]["edit"] = array("table" => "transf_a_valider", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["transfert_en_instance"] ) ) {
			$lookupTableLinks["transfert_en_instance"] = array();
		}
		if( !isset( $lookupTableLinks["transfert_en_instance"]["transf_a_valider.AgenceOrigine"] )) {
			$lookupTableLinks["transfert_en_instance"]["transf_a_valider.AgenceOrigine"] = array();
		}
		$lookupTableLinks["transfert_en_instance"]["transf_a_valider.AgenceOrigine"]["edit"] = array("table" => "transf_a_valider", "field" => "AgenceOrigine", "page" => "edit");
		if( !isset( $lookupTableLinks["transfert_en_instance"] ) ) {
			$lookupTableLinks["transfert_en_instance"] = array();
		}
		if( !isset( $lookupTableLinks["transfert_en_instance"]["transf_a_valider.SecteurOrigine"] )) {
			$lookupTableLinks["transfert_en_instance"]["transf_a_valider.SecteurOrigine"] = array();
		}
		$lookupTableLinks["transfert_en_instance"]["transf_a_valider.SecteurOrigine"]["edit"] = array("table" => "transf_a_valider", "field" => "SecteurOrigine", "page" => "edit");
		if( !isset( $lookupTableLinks["transfert_en_instance"] ) ) {
			$lookupTableLinks["transfert_en_instance"] = array();
		}
		if( !isset( $lookupTableLinks["transfert_en_instance"]["transf_a_valider.NumCTR"] )) {
			$lookupTableLinks["transfert_en_instance"]["transf_a_valider.NumCTR"] = array();
		}
		$lookupTableLinks["transfert_en_instance"]["transf_a_valider.NumCTR"]["edit"] = array("table" => "transf_a_valider", "field" => "NumCTR", "page" => "edit");
		if( !isset( $lookupTableLinks["transfert_en_instance"] ) ) {
			$lookupTableLinks["transfert_en_instance"] = array();
		}
		if( !isset( $lookupTableLinks["transfert_en_instance"]["transf_a_valider.iDcompteur"] )) {
			$lookupTableLinks["transfert_en_instance"]["transf_a_valider.iDcompteur"] = array();
		}
		$lookupTableLinks["transfert_en_instance"]["transf_a_valider.iDcompteur"]["edit"] = array("table" => "transf_a_valider", "field" => "iDcompteur", "page" => "edit");
		if( !isset( $lookupTableLinks["transfert_en_instance"] ) ) {
			$lookupTableLinks["transfert_en_instance"] = array();
		}
		if( !isset( $lookupTableLinks["transfert_en_instance"]["transf_a_valider.AgenceDestination"] )) {
			$lookupTableLinks["transfert_en_instance"]["transf_a_valider.AgenceDestination"] = array();
		}
		$lookupTableLinks["transfert_en_instance"]["transf_a_valider.AgenceDestination"]["edit"] = array("table" => "transf_a_valider", "field" => "AgenceDestination", "page" => "edit");
		if( !isset( $lookupTableLinks["transfert_en_instance"] ) ) {
			$lookupTableLinks["transfert_en_instance"] = array();
		}
		if( !isset( $lookupTableLinks["transfert_en_instance"]["transf_a_valider.SecteurDestination"] )) {
			$lookupTableLinks["transfert_en_instance"]["transf_a_valider.SecteurDestination"] = array();
		}
		$lookupTableLinks["transfert_en_instance"]["transf_a_valider.SecteurDestination"]["edit"] = array("table" => "transf_a_valider", "field" => "SecteurDestination", "page" => "edit");
		if( !isset( $lookupTableLinks["compteur"] ) ) {
			$lookupTableLinks["compteur"] = array();
		}
		if( !isset( $lookupTableLinks["compteur"]["transfert_en_instance.CompteurID"] )) {
			$lookupTableLinks["compteur"]["transfert_en_instance.CompteurID"] = array();
		}
		$lookupTableLinks["compteur"]["transfert_en_instance.CompteurID"]["edit"] = array("table" => "transfert_en_instance", "field" => "CompteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["transfert_en_instance.SecteurFrom"] )) {
			$lookupTableLinks["secteur"]["transfert_en_instance.SecteurFrom"] = array();
		}
		$lookupTableLinks["secteur"]["transfert_en_instance.SecteurFrom"]["edit"] = array("table" => "transfert_en_instance", "field" => "SecteurFrom", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["transfert_en_instance.AgenceFrom"] )) {
			$lookupTableLinks["agence"]["transfert_en_instance.AgenceFrom"] = array();
		}
		$lookupTableLinks["agence"]["transfert_en_instance.AgenceFrom"]["edit"] = array("table" => "transfert_en_instance", "field" => "AgenceFrom", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_secteur"] ) ) {
			$lookupTableLinks["transf_secteur"] = array();
		}
		if( !isset( $lookupTableLinks["transf_secteur"]["transfert_en_instance.SecteurTo"] )) {
			$lookupTableLinks["transf_secteur"]["transfert_en_instance.SecteurTo"] = array();
		}
		$lookupTableLinks["transf_secteur"]["transfert_en_instance.SecteurTo"]["edit"] = array("table" => "transfert_en_instance", "field" => "SecteurTo", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_agence"] ) ) {
			$lookupTableLinks["transf_agence"] = array();
		}
		if( !isset( $lookupTableLinks["transf_agence"]["transfert_en_instance.AgenceTo"] )) {
			$lookupTableLinks["transf_agence"]["transfert_en_instance.AgenceTo"] = array();
		}
		$lookupTableLinks["transf_agence"]["transfert_en_instance.AgenceTo"]["edit"] = array("table" => "transfert_en_instance", "field" => "AgenceTo", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_en_instance.RespTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_en_instance.RespTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_en_instance.RespTransf"]["edit"] = array("table" => "transfert_en_instance", "field" => "RespTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_en_instance.RespValidTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_en_instance.RespValidTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_en_instance.RespValidTransf"]["edit"] = array("table" => "transfert_en_instance", "field" => "RespValidTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_en_instance.RespRefusTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_en_instance.RespRefusTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_en_instance.RespRefusTransf"]["edit"] = array("table" => "transfert_en_instance", "field" => "RespRefusTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_en_instance.RespApprobTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_en_instance.RespApprobTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_en_instance.RespApprobTransf"]["edit"] = array("table" => "transfert_en_instance", "field" => "RespApprobTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["compteur"] ) ) {
			$lookupTableLinks["compteur"] = array();
		}
		if( !isset( $lookupTableLinks["compteur"]["transfert_valide.CompteurID"] )) {
			$lookupTableLinks["compteur"]["transfert_valide.CompteurID"] = array();
		}
		$lookupTableLinks["compteur"]["transfert_valide.CompteurID"]["edit"] = array("table" => "transfert_valide", "field" => "CompteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["transfert_valide.SecteurFrom"] )) {
			$lookupTableLinks["secteur"]["transfert_valide.SecteurFrom"] = array();
		}
		$lookupTableLinks["secteur"]["transfert_valide.SecteurFrom"]["edit"] = array("table" => "transfert_valide", "field" => "SecteurFrom", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["transfert_valide.AgenceFrom"] )) {
			$lookupTableLinks["agence"]["transfert_valide.AgenceFrom"] = array();
		}
		$lookupTableLinks["agence"]["transfert_valide.AgenceFrom"]["edit"] = array("table" => "transfert_valide", "field" => "AgenceFrom", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_secteur"] ) ) {
			$lookupTableLinks["transf_secteur"] = array();
		}
		if( !isset( $lookupTableLinks["transf_secteur"]["transfert_valide.SecteurTo"] )) {
			$lookupTableLinks["transf_secteur"]["transfert_valide.SecteurTo"] = array();
		}
		$lookupTableLinks["transf_secteur"]["transfert_valide.SecteurTo"]["edit"] = array("table" => "transfert_valide", "field" => "SecteurTo", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_agence"] ) ) {
			$lookupTableLinks["transf_agence"] = array();
		}
		if( !isset( $lookupTableLinks["transf_agence"]["transfert_valide.AgenceTo"] )) {
			$lookupTableLinks["transf_agence"]["transfert_valide.AgenceTo"] = array();
		}
		$lookupTableLinks["transf_agence"]["transfert_valide.AgenceTo"]["edit"] = array("table" => "transfert_valide", "field" => "AgenceTo", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_valide.RespTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_valide.RespTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_valide.RespTransf"]["edit"] = array("table" => "transfert_valide", "field" => "RespTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_valide.RespValidTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_valide.RespValidTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_valide.RespValidTransf"]["edit"] = array("table" => "transfert_valide", "field" => "RespValidTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["compteur"] ) ) {
			$lookupTableLinks["compteur"] = array();
		}
		if( !isset( $lookupTableLinks["compteur"]["transfert_en_instance_ligne.CompteurID"] )) {
			$lookupTableLinks["compteur"]["transfert_en_instance_ligne.CompteurID"] = array();
		}
		$lookupTableLinks["compteur"]["transfert_en_instance_ligne.CompteurID"]["edit"] = array("table" => "transfert_en_instance_ligne", "field" => "CompteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["transfert_en_instance_ligne.SecteurFrom"] )) {
			$lookupTableLinks["secteur"]["transfert_en_instance_ligne.SecteurFrom"] = array();
		}
		$lookupTableLinks["secteur"]["transfert_en_instance_ligne.SecteurFrom"]["edit"] = array("table" => "transfert_en_instance_ligne", "field" => "SecteurFrom", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["transfert_en_instance_ligne.AgenceFrom"] )) {
			$lookupTableLinks["agence"]["transfert_en_instance_ligne.AgenceFrom"] = array();
		}
		$lookupTableLinks["agence"]["transfert_en_instance_ligne.AgenceFrom"]["edit"] = array("table" => "transfert_en_instance_ligne", "field" => "AgenceFrom", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_secteur"] ) ) {
			$lookupTableLinks["transf_secteur"] = array();
		}
		if( !isset( $lookupTableLinks["transf_secteur"]["transfert_en_instance_ligne.SecteurTo"] )) {
			$lookupTableLinks["transf_secteur"]["transfert_en_instance_ligne.SecteurTo"] = array();
		}
		$lookupTableLinks["transf_secteur"]["transfert_en_instance_ligne.SecteurTo"]["edit"] = array("table" => "transfert_en_instance_ligne", "field" => "SecteurTo", "page" => "edit");
		if( !isset( $lookupTableLinks["transf_agence"] ) ) {
			$lookupTableLinks["transf_agence"] = array();
		}
		if( !isset( $lookupTableLinks["transf_agence"]["transfert_en_instance_ligne.AgenceTo"] )) {
			$lookupTableLinks["transf_agence"]["transfert_en_instance_ligne.AgenceTo"] = array();
		}
		$lookupTableLinks["transf_agence"]["transfert_en_instance_ligne.AgenceTo"]["edit"] = array("table" => "transfert_en_instance_ligne", "field" => "AgenceTo", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_en_instance_ligne.RespTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_en_instance_ligne.RespTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_en_instance_ligne.RespTransf"]["edit"] = array("table" => "transfert_en_instance_ligne", "field" => "RespTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_en_instance_ligne.RespValidTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_en_instance_ligne.RespValidTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_en_instance_ligne.RespValidTransf"]["edit"] = array("table" => "transfert_en_instance_ligne", "field" => "RespValidTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["transfert_en_instance_ligne.RespRefusTransf"] )) {
			$lookupTableLinks["user_combo"]["transfert_en_instance_ligne.RespRefusTransf"] = array();
		}
		$lookupTableLinks["user_combo"]["transfert_en_instance_ligne.RespRefusTransf"]["edit"] = array("table" => "transfert_en_instance_ligne", "field" => "RespRefusTransf", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["select_ctr_a_doter.DirectionID"] )) {
			$lookupTableLinks["direction"]["select_ctr_a_doter.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["select_ctr_a_doter.DirectionID"]["edit"] = array("table" => "select_ctr_a_doter", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["select_ctr_a_doter.AgenceID"] )) {
			$lookupTableLinks["agence"]["select_ctr_a_doter.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["select_ctr_a_doter.AgenceID"]["edit"] = array("table" => "select_ctr_a_doter", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["select_ctr_a_doter.SecteurID"] )) {
			$lookupTableLinks["secteur"]["select_ctr_a_doter.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["select_ctr_a_doter.SecteurID"]["edit"] = array("table" => "select_ctr_a_doter", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["compteurdir_a_doter"] ) ) {
			$lookupTableLinks["compteurdir_a_doter"] = array();
		}
		if( !isset( $lookupTableLinks["compteurdir_a_doter"]["select_ctr_a_doter.NumReference"] )) {
			$lookupTableLinks["compteurdir_a_doter"]["select_ctr_a_doter.NumReference"] = array();
		}
		$lookupTableLinks["compteurdir_a_doter"]["select_ctr_a_doter.NumReference"]["edit"] = array("table" => "select_ctr_a_doter", "field" => "NumReference", "page" => "edit");
		if( !isset( $lookupTableLinks["compteurdir_a_doter"] ) ) {
			$lookupTableLinks["compteurdir_a_doter"] = array();
		}
		if( !isset( $lookupTableLinks["compteurdir_a_doter"]["select_ctr_a_doter.NumCTR"] )) {
			$lookupTableLinks["compteurdir_a_doter"]["select_ctr_a_doter.NumCTR"] = array();
		}
		$lookupTableLinks["compteurdir_a_doter"]["select_ctr_a_doter.NumCTR"]["edit"] = array("table" => "select_ctr_a_doter", "field" => "NumCTR", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["compteurdir_a_doter.DirectionID"] )) {
			$lookupTableLinks["direction"]["compteurdir_a_doter.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["compteurdir_a_doter.DirectionID"]["edit"] = array("table" => "compteurdir_a_doter", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["compteurdir_a_doter.SecteurID"] )) {
			$lookupTableLinks["secteur"]["compteurdir_a_doter.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["compteurdir_a_doter.SecteurID"]["edit"] = array("table" => "compteurdir_a_doter", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["compteur_en_stock_dir.DirectionID"] )) {
			$lookupTableLinks["direction"]["compteur_en_stock_dir.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["compteur_en_stock_dir.DirectionID"]["edit"] = array("table" => "compteur_en_stock_dir", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["compteur_en_stock_dir.MarqueID"] )) {
			$lookupTableLinks["marque"]["compteur_en_stock_dir.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["compteur_en_stock_dir.MarqueID"]["edit"] = array("table" => "compteur_en_stock_dir", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["compteur_en_stock_dir.DiametreID"] )) {
			$lookupTableLinks["diametre"]["compteur_en_stock_dir.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["compteur_en_stock_dir.DiametreID"]["edit"] = array("table" => "compteur_en_stock_dir", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteur_en_stock_dir.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["compteur_en_stock_dir.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["compteur_en_stock_dir.PlombierDeposeID"]["edit"] = array("table" => "compteur_en_stock_dir", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["compteur_en_stock_dir.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["compteur_en_stock_dir.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["compteur_en_stock_dir.MotifDeposeID"]["edit"] = array("table" => "compteur_en_stock_dir", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["compteur_en_stock_dir.SecteurOrigineCD"] )) {
			$lookupTableLinks["secteur"]["compteur_en_stock_dir.SecteurOrigineCD"] = array();
		}
		$lookupTableLinks["secteur"]["compteur_en_stock_dir.SecteurOrigineCD"]["edit"] = array("table" => "compteur_en_stock_dir", "field" => "SecteurOrigineCD", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["compteur_en_stock_dir.AgenceOrigineCD"] )) {
			$lookupTableLinks["agence"]["compteur_en_stock_dir.AgenceOrigineCD"] = array();
		}
		$lookupTableLinks["agence"]["compteur_en_stock_dir.AgenceOrigineCD"]["edit"] = array("table" => "compteur_en_stock_dir", "field" => "AgenceOrigineCD", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["compteur_en_stock_dir.RespModif"] )) {
			$lookupTableLinks["user_combo"]["compteur_en_stock_dir.RespModif"] = array();
		}
		$lookupTableLinks["user_combo"]["compteur_en_stock_dir.RespModif"]["edit"] = array("table" => "compteur_en_stock_dir", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["compteur_en_stock_dir_ancien.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["compteur_en_stock_dir_ancien.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["compteur_en_stock_dir_ancien.PlombierDeposeID"]["edit"] = array("table" => "compteur_en_stock_dir_ancien", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["compteur_en_stock_dir_ancien.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["compteur_en_stock_dir_ancien.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["compteur_en_stock_dir_ancien.MotifDeposeID"]["edit"] = array("table" => "compteur_en_stock_dir_ancien", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["compteur_en_stock_dir_ancien.SecteurOrigineCD"] )) {
			$lookupTableLinks["secteur"]["compteur_en_stock_dir_ancien.SecteurOrigineCD"] = array();
		}
		$lookupTableLinks["secteur"]["compteur_en_stock_dir_ancien.SecteurOrigineCD"]["edit"] = array("table" => "compteur_en_stock_dir_ancien", "field" => "SecteurOrigineCD", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["compteur_en_stock_dir_ancien.AgenceOrigineCD"] )) {
			$lookupTableLinks["agence"]["compteur_en_stock_dir_ancien.AgenceOrigineCD"] = array();
		}
		$lookupTableLinks["agence"]["compteur_en_stock_dir_ancien.AgenceOrigineCD"]["edit"] = array("table" => "compteur_en_stock_dir_ancien", "field" => "AgenceOrigineCD", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["depose_de_compteurs.AgenceID"] )) {
			$lookupTableLinks["agence"]["depose_de_compteurs.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["depose_de_compteurs.AgenceID"]["edit"] = array("table" => "depose_de_compteurs", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["depose_de_compteurs.MarqueID"] )) {
			$lookupTableLinks["marque"]["depose_de_compteurs.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["depose_de_compteurs.MarqueID"]["edit"] = array("table" => "depose_de_compteurs", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["depose_de_compteurs.DiametreID"] )) {
			$lookupTableLinks["diametre"]["depose_de_compteurs.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["depose_de_compteurs.DiametreID"]["edit"] = array("table" => "depose_de_compteurs", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["depose_de_compteurs.DirectionID"] )) {
			$lookupTableLinks["direction"]["depose_de_compteurs.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["depose_de_compteurs.DirectionID"]["edit"] = array("table" => "depose_de_compteurs", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["depose_de_compteurs.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["depose_de_compteurs.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["depose_de_compteurs.PlombierDeposeID"]["edit"] = array("table" => "depose_de_compteurs", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["depose_de_compteurs.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["depose_de_compteurs.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["depose_de_compteurs.MotifDeposeID"]["edit"] = array("table" => "depose_de_compteurs", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["depose_de_compteurs.img"] )) {
			$lookupTableLinks["motif_depose"]["depose_de_compteurs.img"] = array();
		}
		$lookupTableLinks["motif_depose"]["depose_de_compteurs.img"]["edit"] = array("table" => "depose_de_compteurs", "field" => "img", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["depose_de_compteurs.SecteurID"] )) {
			$lookupTableLinks["secteur"]["depose_de_compteurs.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["depose_de_compteurs.SecteurID"]["edit"] = array("table" => "depose_de_compteurs", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["depose_de_compteurs.RespModif"] )) {
			$lookupTableLinks["user_combo"]["depose_de_compteurs.RespModif"] = array();
		}
		$lookupTableLinks["user_combo"]["depose_de_compteurs.RespModif"]["edit"] = array("table" => "depose_de_compteurs", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["select_ctr_a_declasser.DirectionID"] )) {
			$lookupTableLinks["direction"]["select_ctr_a_declasser.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["select_ctr_a_declasser.DirectionID"]["edit"] = array("table" => "select_ctr_a_declasser", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["select_ctr_a_declasser.AgenceID"] )) {
			$lookupTableLinks["agence"]["select_ctr_a_declasser.AgenceID"] = array();
		}
		$lookupTableLinks["agence"]["select_ctr_a_declasser.AgenceID"]["edit"] = array("table" => "select_ctr_a_declasser", "field" => "AgenceID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["select_ctr_a_declasser.SecteurID"] )) {
			$lookupTableLinks["secteur"]["select_ctr_a_declasser.SecteurID"] = array();
		}
		$lookupTableLinks["secteur"]["select_ctr_a_declasser.SecteurID"]["edit"] = array("table" => "select_ctr_a_declasser", "field" => "SecteurID", "page" => "edit");
		if( !isset( $lookupTableLinks["compteurdir_a_doter"] ) ) {
			$lookupTableLinks["compteurdir_a_doter"] = array();
		}
		if( !isset( $lookupTableLinks["compteurdir_a_doter"]["select_ctr_a_declasser.NumReference"] )) {
			$lookupTableLinks["compteurdir_a_doter"]["select_ctr_a_declasser.NumReference"] = array();
		}
		$lookupTableLinks["compteurdir_a_doter"]["select_ctr_a_declasser.NumReference"]["edit"] = array("table" => "select_ctr_a_declasser", "field" => "NumReference", "page" => "edit");
		if( !isset( $lookupTableLinks["compteurdir_a_doter"] ) ) {
			$lookupTableLinks["compteurdir_a_doter"] = array();
		}
		if( !isset( $lookupTableLinks["compteurdir_a_doter"]["select_ctr_a_declasser.NumCTR"] )) {
			$lookupTableLinks["compteurdir_a_doter"]["select_ctr_a_declasser.NumCTR"] = array();
		}
		$lookupTableLinks["compteurdir_a_doter"]["select_ctr_a_declasser.NumCTR"]["edit"] = array("table" => "select_ctr_a_declasser", "field" => "NumCTR", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["select_ctr_a_declasser.MotifRebusID"] )) {
			$lookupTableLinks["motif_depose"]["select_ctr_a_declasser.MotifRebusID"] = array();
		}
		$lookupTableLinks["motif_depose"]["select_ctr_a_declasser.MotifRebusID"]["edit"] = array("table" => "select_ctr_a_declasser", "field" => "MotifRebusID", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["depose_a_valider.DirectionID"] )) {
			$lookupTableLinks["direction"]["depose_a_valider.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["depose_a_valider.DirectionID"]["edit"] = array("table" => "depose_a_valider", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["depose_a_valider.MarqueID"] )) {
			$lookupTableLinks["marque"]["depose_a_valider.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["depose_a_valider.MarqueID"]["edit"] = array("table" => "depose_a_valider", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["depose_a_valider.DiametreID"] )) {
			$lookupTableLinks["diametre"]["depose_a_valider.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["depose_a_valider.DiametreID"]["edit"] = array("table" => "depose_a_valider", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["depose_a_valider.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["depose_a_valider.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["depose_a_valider.PlombierDeposeID"]["edit"] = array("table" => "depose_a_valider", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["depose_a_valider.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["depose_a_valider.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["depose_a_valider.MotifDeposeID"]["edit"] = array("table" => "depose_a_valider", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["depose_a_valider.SecteurOrigineCD"] )) {
			$lookupTableLinks["secteur"]["depose_a_valider.SecteurOrigineCD"] = array();
		}
		$lookupTableLinks["secteur"]["depose_a_valider.SecteurOrigineCD"]["edit"] = array("table" => "depose_a_valider", "field" => "SecteurOrigineCD", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["depose_a_valider.AgenceOrigineCD"] )) {
			$lookupTableLinks["agence"]["depose_a_valider.AgenceOrigineCD"] = array();
		}
		$lookupTableLinks["agence"]["depose_a_valider.AgenceOrigineCD"]["edit"] = array("table" => "depose_a_valider", "field" => "AgenceOrigineCD", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["depose_a_valider.RespModif"] )) {
			$lookupTableLinks["user_combo"]["depose_a_valider.RespModif"] = array();
		}
		$lookupTableLinks["user_combo"]["depose_a_valider.RespModif"]["edit"] = array("table" => "depose_a_valider", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["depose_a_valider.RespValideMagIn"] )) {
			$lookupTableLinks["user_combo"]["depose_a_valider.RespValideMagIn"] = array();
		}
		$lookupTableLinks["user_combo"]["depose_a_valider.RespValideMagIn"]["edit"] = array("table" => "depose_a_valider", "field" => "RespValideMagIn", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["depose_a_approuver.DirectionID"] )) {
			$lookupTableLinks["direction"]["depose_a_approuver.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["depose_a_approuver.DirectionID"]["edit"] = array("table" => "depose_a_approuver", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["depose_a_approuver.MarqueID"] )) {
			$lookupTableLinks["marque"]["depose_a_approuver.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["depose_a_approuver.MarqueID"]["edit"] = array("table" => "depose_a_approuver", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["depose_a_approuver.DiametreID"] )) {
			$lookupTableLinks["diametre"]["depose_a_approuver.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["depose_a_approuver.DiametreID"]["edit"] = array("table" => "depose_a_approuver", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["depose_a_approuver.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["depose_a_approuver.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["depose_a_approuver.PlombierDeposeID"]["edit"] = array("table" => "depose_a_approuver", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["depose_a_approuver.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["depose_a_approuver.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["depose_a_approuver.MotifDeposeID"]["edit"] = array("table" => "depose_a_approuver", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["depose_a_approuver.SecteurOrigineCD"] )) {
			$lookupTableLinks["secteur"]["depose_a_approuver.SecteurOrigineCD"] = array();
		}
		$lookupTableLinks["secteur"]["depose_a_approuver.SecteurOrigineCD"]["edit"] = array("table" => "depose_a_approuver", "field" => "SecteurOrigineCD", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["depose_a_approuver.AgenceOrigineCD"] )) {
			$lookupTableLinks["agence"]["depose_a_approuver.AgenceOrigineCD"] = array();
		}
		$lookupTableLinks["agence"]["depose_a_approuver.AgenceOrigineCD"]["edit"] = array("table" => "depose_a_approuver", "field" => "AgenceOrigineCD", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["depose_a_approuver.RespModif"] )) {
			$lookupTableLinks["user_combo"]["depose_a_approuver.RespModif"] = array();
		}
		$lookupTableLinks["user_combo"]["depose_a_approuver.RespModif"]["edit"] = array("table" => "depose_a_approuver", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["depose_a_approuver.RespValideMagIn"] )) {
			$lookupTableLinks["user_combo"]["depose_a_approuver.RespValideMagIn"] = array();
		}
		$lookupTableLinks["user_combo"]["depose_a_approuver.RespValideMagIn"]["edit"] = array("table" => "depose_a_approuver", "field" => "RespValideMagIn", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["depose_approuvee.DirectionID"] )) {
			$lookupTableLinks["direction"]["depose_approuvee.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["depose_approuvee.DirectionID"]["edit"] = array("table" => "depose_approuvee", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["depose_approuvee.MarqueID"] )) {
			$lookupTableLinks["marque"]["depose_approuvee.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["depose_approuvee.MarqueID"]["edit"] = array("table" => "depose_approuvee", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["depose_approuvee.DiametreID"] )) {
			$lookupTableLinks["diametre"]["depose_approuvee.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["depose_approuvee.DiametreID"]["edit"] = array("table" => "depose_approuvee", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["depose_approuvee.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["depose_approuvee.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["depose_approuvee.PlombierDeposeID"]["edit"] = array("table" => "depose_approuvee", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["depose_approuvee.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["depose_approuvee.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["depose_approuvee.MotifDeposeID"]["edit"] = array("table" => "depose_approuvee", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["depose_approuvee.SecteurOrigineCD"] )) {
			$lookupTableLinks["secteur"]["depose_approuvee.SecteurOrigineCD"] = array();
		}
		$lookupTableLinks["secteur"]["depose_approuvee.SecteurOrigineCD"]["edit"] = array("table" => "depose_approuvee", "field" => "SecteurOrigineCD", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["depose_approuvee.AgenceOrigineCD"] )) {
			$lookupTableLinks["agence"]["depose_approuvee.AgenceOrigineCD"] = array();
		}
		$lookupTableLinks["agence"]["depose_approuvee.AgenceOrigineCD"]["edit"] = array("table" => "depose_approuvee", "field" => "AgenceOrigineCD", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["depose_approuvee.RespModif"] )) {
			$lookupTableLinks["user_combo"]["depose_approuvee.RespModif"] = array();
		}
		$lookupTableLinks["user_combo"]["depose_approuvee.RespModif"]["edit"] = array("table" => "depose_approuvee", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["depose_approuvee.RespValideMagIn"] )) {
			$lookupTableLinks["user_combo"]["depose_approuvee.RespValideMagIn"] = array();
		}
		$lookupTableLinks["user_combo"]["depose_approuvee.RespValideMagIn"]["edit"] = array("table" => "depose_approuvee", "field" => "RespValideMagIn", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["depose_approuvee.RespApprobMagIn"] )) {
			$lookupTableLinks["user_combo"]["depose_approuvee.RespApprobMagIn"] = array();
		}
		$lookupTableLinks["user_combo"]["depose_approuvee.RespApprobMagIn"]["edit"] = array("table" => "depose_approuvee", "field" => "RespApprobMagIn", "page" => "edit");
		if( !isset( $lookupTableLinks["direction"] ) ) {
			$lookupTableLinks["direction"] = array();
		}
		if( !isset( $lookupTableLinks["direction"]["depose_validee.DirectionID"] )) {
			$lookupTableLinks["direction"]["depose_validee.DirectionID"] = array();
		}
		$lookupTableLinks["direction"]["depose_validee.DirectionID"]["edit"] = array("table" => "depose_validee", "field" => "DirectionID", "page" => "edit");
		if( !isset( $lookupTableLinks["marque"] ) ) {
			$lookupTableLinks["marque"] = array();
		}
		if( !isset( $lookupTableLinks["marque"]["depose_validee.MarqueID"] )) {
			$lookupTableLinks["marque"]["depose_validee.MarqueID"] = array();
		}
		$lookupTableLinks["marque"]["depose_validee.MarqueID"]["edit"] = array("table" => "depose_validee", "field" => "MarqueID", "page" => "edit");
		if( !isset( $lookupTableLinks["diametre"] ) ) {
			$lookupTableLinks["diametre"] = array();
		}
		if( !isset( $lookupTableLinks["diametre"]["depose_validee.DiametreID"] )) {
			$lookupTableLinks["diametre"]["depose_validee.DiametreID"] = array();
		}
		$lookupTableLinks["diametre"]["depose_validee.DiametreID"]["edit"] = array("table" => "depose_validee", "field" => "DiametreID", "page" => "edit");
		if( !isset( $lookupTableLinks["plombier"] ) ) {
			$lookupTableLinks["plombier"] = array();
		}
		if( !isset( $lookupTableLinks["plombier"]["depose_validee.PlombierDeposeID"] )) {
			$lookupTableLinks["plombier"]["depose_validee.PlombierDeposeID"] = array();
		}
		$lookupTableLinks["plombier"]["depose_validee.PlombierDeposeID"]["edit"] = array("table" => "depose_validee", "field" => "PlombierDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["motif_depose"] ) ) {
			$lookupTableLinks["motif_depose"] = array();
		}
		if( !isset( $lookupTableLinks["motif_depose"]["depose_validee.MotifDeposeID"] )) {
			$lookupTableLinks["motif_depose"]["depose_validee.MotifDeposeID"] = array();
		}
		$lookupTableLinks["motif_depose"]["depose_validee.MotifDeposeID"]["edit"] = array("table" => "depose_validee", "field" => "MotifDeposeID", "page" => "edit");
		if( !isset( $lookupTableLinks["secteur"] ) ) {
			$lookupTableLinks["secteur"] = array();
		}
		if( !isset( $lookupTableLinks["secteur"]["depose_validee.SecteurOrigineCD"] )) {
			$lookupTableLinks["secteur"]["depose_validee.SecteurOrigineCD"] = array();
		}
		$lookupTableLinks["secteur"]["depose_validee.SecteurOrigineCD"]["edit"] = array("table" => "depose_validee", "field" => "SecteurOrigineCD", "page" => "edit");
		if( !isset( $lookupTableLinks["agence"] ) ) {
			$lookupTableLinks["agence"] = array();
		}
		if( !isset( $lookupTableLinks["agence"]["depose_validee.AgenceOrigineCD"] )) {
			$lookupTableLinks["agence"]["depose_validee.AgenceOrigineCD"] = array();
		}
		$lookupTableLinks["agence"]["depose_validee.AgenceOrigineCD"]["edit"] = array("table" => "depose_validee", "field" => "AgenceOrigineCD", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["depose_validee.RespModif"] )) {
			$lookupTableLinks["user_combo"]["depose_validee.RespModif"] = array();
		}
		$lookupTableLinks["user_combo"]["depose_validee.RespModif"]["edit"] = array("table" => "depose_validee", "field" => "RespModif", "page" => "edit");
		if( !isset( $lookupTableLinks["user_combo"] ) ) {
			$lookupTableLinks["user_combo"] = array();
		}
		if( !isset( $lookupTableLinks["user_combo"]["depose_validee.RespValideMagIn"] )) {
			$lookupTableLinks["user_combo"]["depose_validee.RespValideMagIn"] = array();
		}
		$lookupTableLinks["user_combo"]["depose_validee.RespValideMagIn"]["edit"] = array("table" => "depose_validee", "field" => "RespValideMagIn", "page" => "edit");
}

?>